//
// Copyright (C) 2020 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

// clang-format off
#include "native_bridge_support/vdso/interceptable_functions.h"

DEFINE_INTERCEPTABLE_STUB_FUNCTION(AFileDescriptor_create);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AFileDescriptor_getFd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AFileDescriptor_setFd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_addBoolAnnotation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_addInt32Annotation);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_build);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_obtain);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_release);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_setAtomId);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_write);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeAttributionChain);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeBool);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeByteArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeFloat);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeInt32);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeInt64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsEvent_writeString);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AStatsSocket_close);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(AndroidRuntimeGetJavaVM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JNI_CreateJavaVM);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JNI_GetCreatedJavaVMs);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JNI_GetDefaultJavaVMInitArgs);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationCreate);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationDestroy);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationGetLibrary);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(JniInvocationInit);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(PreventLibnativehelperLazyLoadingForTests);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(PreventLibstatssocketLazyLoadingForTests);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z10GetOpenFdsRKNSt3__18functionIFvNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z11GetOwnerTagPK10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z11OpenArchivePKcPP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z12CloseArchiveP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z12EndIterationPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z13OpenArchiveFdiPKcPP10ZipArchiveb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14GetArchiveInfoP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14StartIterationP10ZipArchivePPvNSt3__117basic_string_viewIcNS3_11char_traitsIcEEEES7_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z14StartIterationP10ZipArchivePPvNSt3__18functionIFbNS3_17basic_string_viewIcNS3_11char_traitsIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15ErrorCodeStringi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15ExtractToMemoryP10ZipArchivePK10ZipEntry64Phj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15ExtractToMemoryP10ZipArchivePK8ZipEntryPhj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15sk_calloc_throwjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15sk_malloc_flagsjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z15sk_malloc_throwjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z16sk_out_of_memoryv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z16sk_realloc_throwPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z16sk_realloc_throwPvjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17GetFileDescriptorP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17get_native_cameraP7_JNIEnvP8_jobjectPP16JNICameraContext);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17sk_abort_no_printv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z17sk_malloc_canfailjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z18ExtractEntryToFileP10ZipArchivePK10ZipEntry64i);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z18ExtractEntryToFileP10ZipArchivePK8ZipEntryi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z18OpenArchiveFdRangeiPKcPP10ZipArchivexxb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z19_set_seccomp_filter10FilterType);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z21OpenArchiveFromMemoryPKvjPKcPP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z22get_device_from_objectP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z22set_app_seccomp_filterv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z23GetFileDescriptorOffsetP10ZipArchive);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z23get_request_from_objectP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25_install_setuidgid_filterjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25android_os_Process_setGidP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25android_os_Process_setUidP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z25set_system_seccomp_filterv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z26android_os_Process_getPidsP7_JNIEnvP8_jobjectP8_jstringP10_jintArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z26get_exclusive_cpuset_cores11SchedPolicyP9cpu_set_t);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z26register_android_os_BinderP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z27android_os_Process_setArgV0P7_JNIEnvP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z27register_android_media_midiP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z27register_android_os_ProcessP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z29android_os_Process_sendSignalP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z29set_app_zygote_seccomp_filterv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z31android_os_Process_readProcFileP7_JNIEnvP8_jobjectP8_jstringP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_getGidForNameP7_JNIEnvP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_getUidForNameP7_JNIEnvP8_jobjectP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_parseProcLineP7_JNIEnvP8_jobjectP11_jbyteArrayiiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_readProcLinesP7_JNIEnvP8_jobjectP8_jstringP13_jobjectArrayP11_jlongArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32android_os_Process_setSwappinessP7_JNIEnvP8_jobjectih);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32install_setuidgid_seccomp_filterjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z32register_android_hardware_CameraP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33android_os_Process_setThreadGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33register_android_media_AudioTrackP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33register_android_opengl_jni_EGL14P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z33register_android_opengl_jni_EGL15P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34JHwBinder_native_joinRpcThreadpoolv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_getProcessGroupP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_sendSignalQuietP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34android_os_Process_setProcessGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34javaAudioFormatToNativeAudioConfigP7_JNIEnvP12audio_configP8_jobjectb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_media_AudioRecordP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_media_AudioSystemP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_EGLExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES10P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES11P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES20P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES30P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES31P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z34register_android_opengl_jni_GLES32P7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35android_os_Process_killProcessGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35android_os_Process_setProcessFrozenP7_JNIEnvP8_jobjectiih);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35register_android_hardware_SyncFenceP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z35register_android_hardware_UsbDeviceP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Binder_getNativeFinalizerP7_JNIEnvP7_jclass);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Process_getExclusiveCoresP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Process_getThreadPriorityP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36android_os_Process_setThreadPriorityP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36register_android_hardware_SerialPortP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36register_android_hardware_UsbRequestP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z36register_android_media_ToneGeneratorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_media_getIntConstantFromClassP7_JNIEnvP7_jclassPKcS4_Pi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_createProcessGroupP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_getPidsForCommandsP7_JNIEnvP8_jobjectP13_jobjectArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_getThreadSchedulerP7_JNIEnvP7_jclassi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_parseProcLineArrayP7_JNIEnvP8_jobjectPciiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37android_os_Process_setThreadSchedulerP7_JNIEnvP7_jclassiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_media_MicrophoneInfoP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_opengl_jni_GLES10ExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_opengl_jni_GLES11ExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z37register_android_opengl_jni_GLES31ExtP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z38android_media_AudioTrack_getAudioTrackP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z38register_android_media_AudioAttributesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39JHwBinder_native_configureRpcThreadpoolP7_JNIEnvP7_jclassxh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39android_os_Process_setApplicationObjectP7_JNIEnvP8_jobjectS2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39register_android_graphics_GraphicBufferP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z39register_android_hardware_SensorManagerP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z40register_android_hardware_HardwareBufferP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z40register_android_media_AudioVolumeGroupsP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z41JHwBinder_native_setTrebleTestingOverrideP7_JNIEnvP7_jclassh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z41android_os_BinderProxy_getNativeFinalizerP7_JNIEnvP7_jclass);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z41android_os_Process_removeAllProcessGroupsP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z42android_os_Process_setThreadGroupAndCpusetP7_JNIEnvP8_jobjectii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z43android_os_Process_setCallingThreadPriorityP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z43register_com_google_android_gles_jni_GLImplP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_android_hardware_camera2_DngCreatorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_android_media_AudioDeviceAttributesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_android_media_AudioEffectDescriptorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z44register_com_google_android_gles_jni_EGLImplP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z45register_android_hardware_UsbDeviceConnectionP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z45register_android_media_AudioProductStrategiesP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z48register_android_hardware_camera2_CameraMetadataP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP10ZipEntry64PNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP10ZipEntry64PNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP8ZipEntryPNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z4NextPvP8ZipEntryPNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z50register_android_media_audio_common_AidlConversionP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z52register_android_hardware_camera2_utils_SurfaceUtilsP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z52register_android_media_AudioVolumeGroupChangeHandlerP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z54register_android_hardware_display_DisplayManagerGlobalP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z62register_android_hardware_location_ActivityRecognitionHardwareP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z67register_android_hardware_camera2_impl_CameraExtensionJpegProcessorP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z7sk_freePv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z8SkDebugfPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z8compressiiPhiiS_iiS_iiS_jiiiiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z8compressiiR11RowIteratorILj16EERS_ILj8EES3_PhjNSt3__18functionIFvjEEEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP10ZipEntry64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP8ZipEntry);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchive26InitializeCentralDirectoryExj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchiveC2EO13MappedZipFileb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchiveC2EPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN10ZipArchiveD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive6ReaderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive6ReaderD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive6WriterD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive6WriterD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN11zip_archive7InflateERKNS_6ReaderEyyPNS_6WriterEPy);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext10setGpsDataERK7GpsData);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext12setThumbnailEPKhjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext14setCaptureTimeERKN7android7String8E);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext14setDescriptionERKN7android7String8E);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext14setOrientationEt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContext9getWriterEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContextC2ERKN7android14CameraMetadataES3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContextD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN13NativeContextD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream4openEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream4readEPhjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream4skipEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStream5closeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStreamC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStreamD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN14JniInputStreamD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip3214ResetIterationEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip324NextEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip326CreateEt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip328AddToMapENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip32C2Et);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip6414ResetIterationEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip644NextEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip646CreateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15CdEntryMapZip648AddToMapENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStream4openEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStream5closeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStream5writeEPKhjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStreamC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStreamD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN15JniOutputStreamD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16CentralDirectory10InitializeEPKvxj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSource13writeToStreamERN7android9img_utils6OutputEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSourceC2EP7_JNIEnvRN7android9img_utils5InputEjjjjjyjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSourceD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16InputStripSourceD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext11copyAndPostEP7_JNIEnvRKN7android2spINS2_7IMemoryEEEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext12postMetadataEP7_JNIEnviP21camera_frame_metadata);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext15setCallbackModeEP7_JNIEnvbb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext17addCallbackBufferEP7_JNIEnvP11_jbyteArrayi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext17getCallbackBufferEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext17postDataTimestampExiRKN7android2spINS0_7IMemoryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext33postRecordingFrameHandleTimestampExP13native_handle);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext38postRecordingFrameHandleTimestampBatchERKNSt3__16vectorIxNS0_9allocatorIxEEEERKNS1_IP13native_handleNS2_IS8_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext6notifyEiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext7releaseEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContext8postDataEiRKN7android2spINS0_7IMemoryEEEP21camera_frame_metadata);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContextC1EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN16JNICameraContextC2EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSource13writeToStreamERN7android9img_utils6OutputEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSourceC2EP7_JNIEnvPKhjjjjjyjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSourceD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN17DirectStripSourceD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList3addERKN7android2spI18JavaDeathRecipientEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList4findEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList4lockEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientList6removeERKN7android2spI18JavaDeathRecipientEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientListC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientListD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18DeathRecipientListD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfo12CreateFromFdEiRKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfo13GetSocketNameEiPNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfoC2E4statRKNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEiiiil);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18FileDescriptorInfoC2Ei);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBuffer4openEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBuffer4readEPhjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBuffer5closeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBufferC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBufferD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN18JniInputByteBufferD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable14RestatInternalERNSt3__13setIiNS0_4lessIiEENS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable6CreateERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTable6RestatERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTableC2ERKNSt3__113unordered_mapIiP18FileDescriptorInfoNS0_4hashIiEENS0_8equal_toIiEENS0_9allocatorINS0_4pairIKiS3_EEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN19FileDescriptorTableD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback13onServiceDiedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback21onAudioPortListUpdateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback22onAudioPatchListUpdateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallback9sendEventEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackC1EP7_JNIEnvP8_jobjectS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackC2EP7_JNIEnvP8_jobjectS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN20JNIAudioPortCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN23FileDescriptorAllowlist3GetEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN23FileDescriptorAllowlistC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF10CountUTF16EPKtj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF10CountUTF32EPKij);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF11UTF16ToUTF8EPciPKtj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF11UTF8ToUTF16EPtiPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF6ToUTF8EiPc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF7ToUTF16EiPt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF8NextUTF8EPPKcS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF9CountUTF8EPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF9NextUTF16EPPKtS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5SkUTF9NextUTF32EPPKiS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs12ScopedJmpBufD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs13SignalHandler7handlerEiP7siginfoPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs13SignalHandler8instanceEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN5incfs13SignalHandlerC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect14setBoundsCheckEPK7SkPointi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect16setBoundsNoCheckEPK7SkPointi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect4joinERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect9intersectERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN6SkRect9intersectERKS_S1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7SkIRect4joinERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7SkIRect9intersectERKS_S1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue11createQueueEP8_jobjectRKNS_2spINS_6LooperEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue11finishEventEPNS_10InputEventEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue12attachLooperEPNS_6LooperEiPFiiiPvES3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue12detachLooperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue12enqueueEventEPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue13handleMessageERKNS_7MessageE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue14createKeyEventEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue16preDispatchEventEPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue17createMotionEventEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue17recycleInputEventEPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue18detachLooperLockedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue8getEventEPPNS_10InputEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueue9hasEventsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueC1EP8_jobjectRKNS_2spINS_6LooperEEEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueC2EP8_jobjectRKNS_2spINS_6LooperEEEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10InputQueueD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo11ReadDmaBufsEPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo14ReadDmaBufInfoEPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo14ReadDmaBufInfoEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEEbRKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo16ReadDmaBufFdRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo17ReadDmaBufMapRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo18ReadBufferExporterEjPNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERKS7_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo19GetDmabufSysfsStatsEPNS0_16DmabufSysfsStatsERKNSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10dmabufinfo24GetDmabufTotalExportedKbEPyRKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android10getServiceINS_8hardware14ICameraServiceEEEiRKNS_8String16EPNS_2spIT_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_20IRemoteDisplayClientEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_3gui21IHdrLayerInfoListenerEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_3gui22IScreenCaptureListenerEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_3gui23IRegionSamplingListenerEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_3gui26ITunnelModeEnabledListenerEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_5media19IAudioTrackCallbackEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11BnInterfaceINS_8hardware7display27IDeviceProductInfoConstantsEE10onAsBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory12javaToNativeEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory16getNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory6toJavaEP7_JNIEnvRKNS_8hardware11hidl_memoryE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemory8fromJavaEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android11JHidlMemoryD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueue22raiseAndClearExceptionEP7_JNIEnvPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android12MessageQueueD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13JNativeHandle19MakeCppNativeHandleEP7_JNIEnvP8_jobjectPNS_16EphemeralStorageE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13JNativeHandle23MakeJavaNativeHandleObjEP7_JNIEnvPK13native_handle);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android13JNativeHandle29AllocJavaNativeHandleObjArrayEP7_JNIEnvi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime10getRuntimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime11onVmCreatedEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime14parseExtraOptsEPcPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime15NewStringLatin1EP7_JNIEnvPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime15javaThreadShellEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime16createJavaThreadEPKcPFvPvES3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime16toSlashClassNameEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime18parseRuntimeOptionEPKcPcS2_S2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime19javaCreateThreadEtcEPFiPvES1_PKcijPS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime19parseCompilerOptionEPKcPcS2_S2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime21registerNativeMethodsEP7_JNIEnvPKcPK15JNINativeMethodi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime26parseCompilerRuntimeOptionEPKcPcS2_S2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime4exitEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime5startEPKcRKNS_6VectorINS_7String8EEEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime7startVmEPP7_JavaVMPP7_JNIEnvbb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime8callMainERKNS_7String8EP7_jclassRKNS_6VectorIS1_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime8setArgv0EPKcb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime8startRegEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime9addOptionEPKcPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime9getJNIEnvEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntime9getJavaVMEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntimeC2EPcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntimeD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android14AndroidRuntimeD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder16GetNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder9NewObjectEP7_JNIEnvRKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinder9setBinderERKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15JHwRemoteBinderC2EP7_JNIEnvP8_jobjectRKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15MediaMetricsJNI20writeMetricsToBundleEP7_JNIEnvPNS_12mediametrics4ItemEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15MediaMetricsJNI29nativeToJavaPersistableBundleEP7_JNIEnvPNS_2os17PersistableBundleE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android15getBPNativeDataEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16DeleteScreenshotEPvS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage16allocStringArrayEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage20allocTemporaryStringEP7_JNIEnvP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage21allocTemporaryStorageEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage24allocTemporaryInt8VectorEP7_JNIEnvP11_jbyteArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryFloatVectorEP7_JNIEnvP12_jfloatArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryInt16VectorEP7_JNIEnvP12_jshortArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryInt32VectorEP7_JNIEnvP10_jintArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage25allocTemporaryInt64VectorEP7_JNIEnvP11_jlongArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage26allocTemporaryDoubleVectorEP7_JNIEnvP13_jdoubleArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage26allocTemporaryNativeHandleEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorage7releaseEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorageC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android16EphemeralStorageD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17ApkAssetsFromLongEx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallback19onAudioDeviceUpdateEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android17JNIDeviceCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannel18setDisposeCallbackEPFvP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEEPvESB_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannel7disposeEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannelC2ENSt3__110unique_ptrINS_12InputChannelENS1_14default_deleteIS3_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeInputChannelD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue14raiseExceptionEP7_JNIEnvPKcP11_jthrowable);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue23setFileDescriptorEventsEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue4wakeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueue8pollOnceEP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueC1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android18NativeMessageQueueD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android19parcelForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState11addMovementEPKNS_11MotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState11getVelocityEiPfS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState12getEstimatorEiPNS_15VelocityTracker9EstimatorE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState22computeCurrentVelocityEif);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerState5clearEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20VelocityTrackerStateC2ENS_15VelocityTracker8StrategyE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20ibinderForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20javaObjectForIBinderEP7_JNIEnvRKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android20poly_clip_to_frustumEPNS_4PolyE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallback20onCodecFormatChangedERKNSt3__16vectorIhNS1_9allocatorIhEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android21JNIAudioTrackCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender10initializeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender12sendKeyEventEjPKNS_8KeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender15sendMotionEventEjPKNS_11MotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender22notifyConsumerResponseEP7_JNIEnvP8_jobjectRKNSt3__17variantIJNS_14InputPublisher8FinishedENS7_8TimelineEEEEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender23processConsumerResponseEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSender7disposeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22NativeInputEventSenderD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22createJavaParcelObjectEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22poly_clip_to_halfspaceEPNS_4PolyES1_iff);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android22validateCanUseHwBinderERKNS_2spINS_8hardware7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper10makeUniqueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper12getJavaArrayEP7_JNIEnvPP13_jobjectArrayi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper12nativeToJavaEP7_JNIEnvPP8_jobjectRK18audio_attributes_t);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23JNIAudioAttributeHelper14nativeFromJavaEP7_JNIEnvP8_jobjectP18audio_attributes_t);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandle10updateInfoEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandle31getInputWindowHandleObjLocalRefEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandleC2EP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandleD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23NativeInputWindowHandleD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23binder_report_exceptionEP7_JNIEnvP11_jthrowablePKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23newParcelFileDescriptorEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23recycleJavaParcelObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23signalExceptionForErrorEP7_JNIEnvP8_jobjectibi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23signalExceptionForErrorEP7_JNIEnvib);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3PKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnvPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android23throw_sqlite3_exceptionEP7_JNIEnviPKcS3_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContext16onFrameAvailableERKNS_10BufferItemE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContext9getJNIEnvEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContextC1EP7_JNIEnvP8_jobjectP7_jclass);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContextC2EP7_JNIEnvP8_jobjectP7_jclass);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContextD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContextD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24JNISurfaceTextureContextD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader20getCpuFrequencyCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader28startAggregatingTaskCpuTimesEit);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader28startTrackingProcessCpuTimesEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24MockCpuTimeInStateReader29getAggregatedTaskCpuFreqTimesEiRKNSt3__16vectorItNS1_9allocatorItEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver10initializeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver11setFdEventsEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver13consumeEventsEP7_JNIEnvbxPb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver14reportTimelineEixx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver16finishInputEventEjb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver21processOutboundEventsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver4dumpEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiver7disposeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android24NativeInputEventReceiverD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25AssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25register_android_os_DebugEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25register_android_os_TraceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android25register_android_util_LogEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList3addERKNS_2spINS_22HwBinderDeathRecipientEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList4findEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList4lockEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientList6removeERKNS_2spINS_22HwBinderDeathRecipientEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientListC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientListD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26HwBinderDeathRecipientListD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver13dispatchVsyncExNS_17PhysicalDisplayIdEjNS_3gui14VsyncEventDataE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver15dispatchHotplugExNS_17PhysicalDisplayIdEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver19dispatchModeChangedExNS_17PhysicalDisplayIdEix);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver26dispatchFrameRateOverridesExNS_17PhysicalDisplayIdENSt3__16vectorINS_20DisplayEventReceiver5Event17FrameRateOverrideENS2_9allocatorIS6_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiver7disposeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverC1EP7_JNIEnvP8_jobjectRKNS_2spINS_12MessageQueueEEEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverC2EP7_JNIEnvP8_jobjectRKNS_2spINS_12MessageQueueEEEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26NativeDisplayEventReceiverD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26SurfaceTexture_getProducerEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26audioEffectDescriptorClassEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26register_android_os_HwBlobEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android26register_android_os_ParcelEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallback13onServiceDiedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallback25onAudioVolumeGroupChangedENS_14volume_group_tEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackC1EP7_JNIEnvP8_jobjectS4_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackC2EP7_JNIEnvP8_jobjectS4_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27JNIAudioVolumeGroupCallbackD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android27register_android_os_SELinuxEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandle10updateInfoEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandle36getInputApplicationHandleObjLocalRefEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandleC2EP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandleD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NativeInputApplicationHandleD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28NdkAssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28register_android_os_HwBinderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28register_android_os_HwParcelEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android28set_dalvik_blockguard_policyEP7_JNIEnvi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_NativeActivity_finishEP15ANativeActivity);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_view_KeyEvent_recycleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_view_PointerIcon_loadEP7_JNIEnvP8_jobjectS3_PNS_11PointerIconE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29android_view_VerifiedKeyEventEP7_JNIEnvRKNS_16VerifiedKeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29register_android_app_ActivityEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android29register_android_view_SurfaceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android2spINS_10AudioTrackEEaSEOS2_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android2spINS_11AudioRecordEEaSEPS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android2spINS_7IBinderEEaSINS_7BBinderEEERS2_ONS0_IT_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android2spINS_8hardware7display27IDeviceProductInfoConstantsEED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30AssetManagerForNdkAssetManagerEP13AAssetManager);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30android_view_KeyEvent_toNativeEP7_JNIEnvP8_jobjectPNS_8KeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_os_HidlMemoryEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_os_MemoryFileEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_util_EventLogEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android30register_android_view_KeyEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31android_view_InputDevice_createEP7_JNIEnvRKNS_15InputDeviceInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31android_view_Surface_getSurfaceEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31convertMicrophoneInfoFromNativeEP7_JNIEnvPP8_jobjectPKNS_5media14MicrophoneInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_opengl_classesEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_os_HidlSupportEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_os_SystemClockEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31register_android_os_VintfObjectEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android31throw_sqlite3_exception_errcodeEP7_JNIEnviPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32CameraMetadata_getNativeMetadataEP7_JNIEnvP8_jobjectPNS_14CameraMetadataE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32SurfaceTexture_getSurfaceTextureEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32android_view_KeyEvent_fromNativeEP7_JNIEnvPKNS_8KeyEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32android_view_MotionEvent_recycleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32android_view_VerifiedMotionEventEP7_JNIEnvRKNS_19VerifiedMotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_FileObserverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_MessageQueueEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_NativeHandleEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_os_SharedMemoryEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_security_ScryptEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_text_HyphenatorEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android32register_android_view_InputQueueEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33android_Configuration_getFromJavaEP7_JNIEnvP8_jobjectP14AConfiguration);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33android_view_Surface_isInstanceOfEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33createAudioDeviceTypeAddrFromJavaEP7_JNIEnvPNS_19AudioDeviceTypeAddrEP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_content_XmlBlockEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_InputDeviceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_MotionEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_PointerIconEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android33register_android_view_TextureViewEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34convertHdrCapabilitiesToJavaObjectEP7_JNIEnvRKNS_15HdrCapabilitiesE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_os_HwRemoteBinderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_os_ServiceManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_os_UEventObserverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_util_CharsetUtilsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android34register_android_view_InputChannelEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35android_SurfaceTexture_isInstanceOfEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35android_view_KeyCharacterMap_createEP7_JNIEnviNSt3__110shared_ptrINS_15KeyCharacterMapEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35register_android_app_ActivityThreadEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35register_android_app_NativeActivityEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android35register_android_media_MediaMetricsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_NativeActivity_hideSoftInputEP15ANativeActivityi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_NativeActivity_showSoftInputEP15ANativeActivityi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_os_Debug_getDeathObjectCountEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_os_Debug_getLocalObjectCountEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_os_Debug_getProxyObjectCountEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_util_Log_isVerboseLogEnabledEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_view_InputQueue_getNativePtrEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36android_view_Surface_getNativeWindowEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_content_StringBlockEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_media_RemoteDisplayEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_net_LocalSocketImplEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_os_SystemPropertiesEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_os_VintfRuntimeInfoEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_util_MemoryIntArrayEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_view_SurfaceControlEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android36register_android_view_SurfaceSessionEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_NativeActivity_setWindowFlagsEP15ANativeActivityii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_view_MotionEvent_getNativePtrEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_view_MotionEvent_obtainAsCopyEP7_JNIEnvPKNS_11MotionEventE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37android_view_SurfaceSession_getClientEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37createAudioDeviceAttributesFromNativeEP7_JNIEnvPP8_jobjectPKNS_19AudioDeviceTypeAddrE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_content_AssetManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_database_SQLiteDebugEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_view_KeyCharacterMapEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android37register_android_view_VelocityTrackerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38android_NativeActivity_setWindowFormatEP15ANativeActivityi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38android_view_PointerIcon_getLoadedIconEP7_JNIEnvP8_jobjectPNS_11PointerIconE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38android_view_PointerIcon_getSystemIconEP7_JNIEnvP8_jobjecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38android_view_Surface_createFromSurfaceEP7_JNIEnvRKNS_2spINS_7SurfaceEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38convertAudioEffectDescriptorFromNativeEP7_JNIEnvPP8_jobjectPK19effect_descriptor_s);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_app_admin_SecurityLogEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_app_backup_FullBackupEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_content_res_ApkAssetsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_database_CursorWindowEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_database_SQLiteGlobalEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_text_AndroidCharacterEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_view_InputEventSenderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android38register_android_view_VerifiedKeyEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39android_os_MessageQueue_getMessageQueueEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39android_view_PointerIcon_loadSystemIconEP7_JNIEnvP8_jobjectiPNS_11PointerIconE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_backup_BackupDataInputEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_content_res_ObbScannerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_os_GraphicsEnvironmentEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_util_jar_StrictJarFileEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_android_view_InputWindowHandleEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android39register_com_android_internal_os_ZygoteEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui10WindowInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui10WindowInfo14setInputConfigENS_3ftl5FlagsINS1_11InputConfigEEEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui10WindowInfo18addTouchableRegionERKNS_4RectE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui11DisplayInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui12FocusRequest14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandle10updateFromENS_2spIS1_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandle14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandle14releaseChannelEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleC2ERKNS0_10WindowInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleC2ERKS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui16WindowInfoHandleD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android3gui20InputApplicationInfo14readFromParcelEPKNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40android_view_InputWindowHandle_getHandleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_backup_BackupDataOutputEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_ddm_DdmHandleNativeHeapEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_graphics_SurfaceTextureEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android40register_android_view_InputEventReceiverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41android_view_InputChannel_getInputChannelEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android41register_android_view_VerifiedMotionEventEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42android_view_InputChannel_createJavaObjectEP7_JNIEnvNSt3__110unique_ptrINS_12InputChannelENS2_14default_deleteIS4_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_content_res_ConfigurationEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_database_SQLiteConnectionEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_graphics_BLASTBufferQueueEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_os_PerformanceHintManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_os_storage_StorageManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_service_DataLoaderServiceEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android42register_android_view_DisplayEventReceiverEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android43register_android_window_WindowInfosListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android43register_com_android_internal_os_ZygoteInitEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44android_view_InputChannel_setDisposeCallbackEP7_JNIEnvP8_jobjectPFvS1_S3_RKNSt3__110shared_ptrINS_12InputChannelEEEPvESA_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44convertAudioEffectDescriptorVectorFromNativeEP7_JNIEnvPP13_jobjectArrayRKNSt3__16vectorI19effect_descriptor_sNS5_9allocatorIS7_EEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_android_backup_FileBackupHelperBaseEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_android_view_InputApplicationHandleEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_com_android_internal_os_FuseAppLoopEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android44register_com_android_internal_os_RuntimeInitEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android45android_view_InputApplicationHandle_getHandleEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android45android_view_InputWindowHandle_fromWindowInfoEP7_JNIEnvNS_3gui10WindowInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android46register_android_backup_BackupHelperDispatcherEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android47register_android_animation_PropertyValuesHolderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android47register_android_view_TunnelModeEnabledListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android47register_com_android_internal_content_F2fsUtilsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49android_hardware_display_DisplayViewport_toNativeEP7_JNIEnvP8_jobjectPNS_15DisplayViewportE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49register_android_hardware_display_DisplayViewportEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android49register_android_view_CompositionSamplingListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android4base9ParseUintIjEEbPKcPT_S4_b);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android4base9ParseUintItEEbPKcPT_S4_b);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android4base9ParseUintIyEEbPKcPT_S4_b);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android50com_android_internal_os_ZygoteCommandBuffer_insertEP7_JNIEnvP7_jclassxP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android50register_android_os_incremental_IncrementalManagerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android50register_com_android_internal_security_VerityUtilsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android51android_os_storage_StorageManager_setQuotaProjectIdEP7_JNIEnvP8_jobjectP8_jstringx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android51register_com_android_internal_os_ClassLoaderFactoryEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android52android_hardware_HardwareBuffer_convertToPixelFormatEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android52register_com_android_internal_os_ZygoteCommandBufferEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android52register_com_android_internal_util_VirtualRefBasePtrEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android53android_view_Surface_createFromIGraphicBufferProducerEP7_JNIEnvRKNS_2spINS_22IGraphicBufferProducerEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android53register_com_android_internal_os_KernelCpuBpfTrackingEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54android_graphics_GraphicBuffer_getNativeGraphicsBufferEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54android_hardware_HardwareBuffer_convertFromPixelFormatEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54android_hardware_HardwareBuffer_getNativeGraphicBufferEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_content_om_OverlayConfigEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_net_NetworkUtilsInternalEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_os_KernelAllocationStatsEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android54register_com_android_internal_os_LongMultiStateCounterEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android55android_hardware_HardwareBuffer_getNativeHardwareBufferEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android56android_graphics_GraphicBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android56register_android_view_SurfaceControlHdrLayerInfoListenerEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57android_hardware_HardwareBuffer_convertToGrallocUsageBitsEy);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57android_hardware_HardwareBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57com_android_internal_os_ZygoteCommandBuffer_nativeNextArgEP7_JNIEnvP7_jclassx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57register_com_android_internal_content_NativeLibraryHelperEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android57register_com_android_internal_os_KernelCpuUidBpfMapReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android58com_android_internal_os_ZygoteCommandBuffer_nativeGetCountEP7_JNIEnvP7_jclassx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android58register_com_android_internal_os_KernelSingleUidTimeReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59com_android_internal_os_ZygoteCommandBuffer_getNativeBufferEP7_JNIEnvP7_jclassi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59register_com_android_internal_os_KernelCpuTotalBpfMapReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android59register_com_android_internal_os_LongArrayMultiStateCounterEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf9to_stringINS0_13KernelVersionEEENSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android5vintf9to_stringINS0_7VersionEEENSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android60android_view_InputApplicationHandle_fromInputApplicationInfoEP7_JNIEnvNS_3gui20InputApplicationInfoE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android60com_android_internal_os_ZygoteCommandBuffer_freeNativeBufferEP7_JNIEnvP7_jclassx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android60register_com_android_internal_os_ZygoteInit_nativeZygoteInitEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android64com_android_internal_os_ZygoteCommandBuffer_nativeForkRepeatedlyEP7_JNIEnvP7_jclassxiiiP8_jstring);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android67android_hardware_display_DisplayManagerGlobal_signalNativeCallbacksEP7_JNIEnvP8_jobjectf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android67com_android_internal_os_ZygoteCommandBuffer_nativeReadFullyAndResetEP7_JNIEnvP7_jclassx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android67register_com_android_internal_os_KernelSingleProcessCpuThreadReaderEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6Parcel5writeINS_6RegionEEEiRKNS_16LightFlattenableIT_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6zygote10ForkCommonEP7_JNIEnvbRKNSt3__16vectorIiNS3_9allocatorIiEEEES9_bb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6zygote13ZygoteFailureEP7_JNIEnvPKcP8_jstringRKNSt3__112basic_stringIcNS7_11char_traitsIcEENS7_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android6zygote7forkAppEP7_JNIEnviiRKNSt3__16vectorIiNS3_9allocatorIiEEEEbbb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob16GetNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob16specializeBlobToENS0_8BlobTypeE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob4dataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob5setToEPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob5writeEjPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob7putBlobEjRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob9NewObjectEP7_JNIEnvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlob9NewObjectEP7_JNIEnvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlobC2EP7_JNIEnvP8_jobjectj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlobD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7JHwBlobD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEE11updateValueERKS6_l);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEE8toStringEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEEC2EtRKS6_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterIxE11updateValueERKxl);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterIxE8toStringEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterIxED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android7battery17MultiStateCounterIxED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware10fromBinderINS_4hidl4base4V1_05IBaseENS4_8BpHwBaseENS4_8BnHwBaseEEENS_2spIT_EERKNS8_INS0_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstants11asInterfaceERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstants14getDefaultImplEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstants14setDefaultImplENS_2spIS2_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display27IDeviceProductInfoConstantsD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BnDeviceProductInfoConstantsC1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BnDeviceProductInfoConstantsC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BpDeviceProductInfoConstantsC1ERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8hardware7display28BpDeviceProductInfoConstantsC2ERKNS_2spINS_7IBinderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android8internal8ToStringINS_5media5audio6common7PcmTypeEEENSt3__112basic_stringIcNS6_11char_traitsIcEENS6_9allocatorIcEEEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder10onTransactEjRKNS_8hardware6ParcelEPS2_jNSt3__18functionIFvRS2_EEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder15GetNativeBinderEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spINS_15JHwBinderHolderEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinder9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderC1EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwBinderD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel10getStorageEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel16GetNativeContextEP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel19setTransactCallbackENSt3__18functionIFvRNS_8hardware6ParcelEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel4sendEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9InitClassEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9NewObjectEP7_JNIEnv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9getParcelEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcel9setParcelEPNS_8hardware6ParcelEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcelC2EP7_JNIEnvP8_jobject);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcelD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9JHwParcelD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils10TiffWriter8addEntryIdEEitjPKT_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils10TiffWriter8addEntryIhEEitjPKT_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils10TiffWriter8addEntryIiEEitjPKT_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils10TiffWriter8addEntryIjEEitjPKT_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils10TiffWriter8addEntryItEEitjPKT_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIdED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIdED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIhED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIhED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIiED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIiED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIjED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplIjED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplItED0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN7android9img_utils13TiffEntryImplItED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10Cliperator4nextEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10CliperatorC2ERKS_RK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10Spanerator4nextEPiS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion10SpaneratorC2ERKS_iii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12RunsAreARectEPKiiP7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12allocateRunsERKNS_7RunHeadE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12allocateRunsEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion12allocateRunsEiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion13BuildRectRunsERK7SkIRectPi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion14readFromMemoryEPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion2opERK7SkIRectRKS_NS_2OpE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion2opERKS_RK7SkIRectNS_2OpE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion2opERKS_S1_NS_2OpE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion4OperERKS_S1_NS_2OpEPS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion4swapERS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion7setRectERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion7setRunsEPii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8Iterator4nextEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8Iterator5resetERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8Iterator6rewindEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8IteratorC2ERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8freeRunsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8setEmptyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8setRectsEPK7SkIRecti);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion8toStringEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegion9setRegionERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionC2ERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionC2ERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkRegionaSERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString11printVAListEPKcSt9__va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString12appendVAListEPKcSt9__va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString12insertScalarEjf);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString12writable_strEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString13insertUnicharEji);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString13prependVAListEPKcSt9__va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString3Rec4MakeEPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString3setEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString3setEPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString4swapERS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString5resetEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6insertEjPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6insertEjPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6printfEPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6removeEjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString6resizeEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString7appendfEPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString8prependfEPKcz);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertHexEjji);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertS32Eji);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertS64Ejxi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertU32Ejj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkString9insertU64Ejyi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2ENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2EOS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2EPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2EPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2ERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2Ej);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringC2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringD2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringaSEOS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringaSEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8SkStringaSERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN8ZipEntry18CopyFromZipEntry64EPS_PK10ZipEntry64);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN9Transform25forCropFollowedByRotationEiiiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZN9TransformC2Eiiii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile10GetBasePtrEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile12ReadAtOffsetEPhjx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile13GetFileLengthEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile13GetFileOffsetEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13MappedZipFile17GetFileDescriptorEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext10getGpsDataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext10hasGpsDataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext12getThumbnailEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext12hasThumbnailEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14getCaptureTimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14getDescriptionEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14getOrientationEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14hasCaptureTimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext14hasDescriptionEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext17getThumbnailWidthEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext18getCharacteristicsEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext18getThumbnailHeightEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK13NativeContext9getResultEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK14ZipEntryCommon19GetModificationTimeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK15CdEntryMapZip3216GetCdEntryOffsetENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK15CdEntryMapZip6416GetCdEntryOffsetENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK16InputStripSource6getIfdEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK16JNICameraContext33isRawImageCallbackBufferAvailableEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK17DirectStripSource6getIfdEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK18FileDescriptorInfo12DetachSocketERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK18FileDescriptorInfo14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK18FileDescriptorInfo16RefersToSameFileEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK23FileDescriptorAllowlist9IsAllowedERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK6SkRect4dumpEb);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK6SkRect6toQuadEP7SkPoint);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE10do_compareEPKvS6_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE10do_compareEPKvS5_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android12SortedVectorIP27audiorecord_callback_cookieE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android15JHwRemoteBinder21getDeathRecipientListEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android15JHwRemoteBinder9getBinderEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo16interceptsStylusEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo18frameContainsPointEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo18supportsSplitTouchEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo28touchableRegionContainsPointEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo5isSpyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfo8overlapsEPKS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui10WindowInfoeqERKS1_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui11DisplayInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui12FocusRequest13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui16WindowInfoHandle13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui16WindowInfoHandle8getTokenEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android3gui20InputApplicationInfo13writeToParcelEPNS_6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6Parcel4readINS_6RegionEEEiRNS_16LightFlattenableIT_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorI12JavaVMOptionE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorI12JavaVMOptionE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorI12JavaVMOptionE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorI12JavaVMOptionE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorI12JavaVMOptionE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorI12JavaVMOptionE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16EphemeralStorage4ItemEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16EphemeralStorage4ItemEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16EphemeralStorage4ItemEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16EphemeralStorage4ItemEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16EphemeralStorage4ItemEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16EphemeralStorage4ItemEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_22AudioMixMatchCriterionEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_22AudioMixMatchCriterionEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_22AudioMixMatchCriterionEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_22AudioMixMatchCriterionEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_22AudioMixMatchCriterionEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_22AudioMixMatchCriterionEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_6SensorEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_6SensorEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_6SensorEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_6SensorEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_6SensorEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_6SensorEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7JHwBlob8BlobInfoEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7JHwBlob8BlobInfoEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7JHwBlob8BlobInfoEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7JHwBlob8BlobInfoEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7JHwBlob8BlobInfoEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7JHwBlob8BlobInfoEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7String8EE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7String8EE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7String8EE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7String8EE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7String8EE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_7String8EE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8AudioMixEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8AudioMixEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8AudioMixEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8AudioMixEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8AudioMixEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8AudioMixEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8KeyEventEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8KeyEventEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8KeyEventEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8KeyEventEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8KeyEventEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorINS_8KeyEventEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP11_jbyteArrayE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP11_jbyteArrayE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP11_jbyteArrayE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP11_jbyteArrayE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP11_jbyteArrayE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP11_jbyteArrayE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP14ScopedUtfCharsE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP14ScopedUtfCharsE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP14ScopedUtfCharsE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP14ScopedUtfCharsE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP14ScopedUtfCharsE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIP14ScopedUtfCharsE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_10InputEventEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_10InputEventEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_10InputEventEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_10InputEventEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_10InputEventEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_10InputEventEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_6LooperEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_6LooperEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_6LooperEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_6LooperEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_6LooperEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_6LooperEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_9img_utils11StripSourceEE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_9img_utils11StripSourceEE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_9img_utils11StripSourceEE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_9img_utils11StripSourceEE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_9img_utils11StripSourceEE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIPNS_9img_utils11StripSourceEE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIdE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIdE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIdE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIdE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIdE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIdE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIfE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIfE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIfE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIfE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIfE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIfE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIhE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIhE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIhE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIhE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIhE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIhE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIiE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIiE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIiE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIiE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIiE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIiE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIjE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIjE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIjE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIjE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIjE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIjE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorItE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorItE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorItE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorItE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorItE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorItE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIxE10do_destroyEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIxE12do_constructEPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIxE15do_move_forwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIxE16do_move_backwardEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIxE7do_copyEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android6VectorIxE8do_splatEPvPKvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob13writeToParcelEPNS_8hardware6ParcelE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob21writeEmbeddedToParcelEPNS_8hardware6ParcelEjj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob21writeSubBlobsToParcelEPNS_8hardware6ParcelEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4dataEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4readEjPvj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4sizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob4typeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob9getHandleEPj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7JHwBlob9getStringEjPPKNS_8hardware11hidl_stringE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7battery17MultiStateCounterIxE13valueToStringERKx);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7battery17MultiStateCounterIxE3addEPxRKxyy);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android7battery17MultiStateCounterIxE5deltaERKxS4_Px);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android8hardware7display27IDeviceProductInfoConstants22getInterfaceDescriptorEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9JHwParcel7wasSentEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils10TiffWriter10buildEntryIdEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils10TiffWriter10buildEntryIhEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils10TiffWriter10buildEntryIiEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils10TiffWriter10buildEntryIjEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils10TiffWriter10buildEntryItEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE12writeTagInfoEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE13getDataHelperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE13getEndiannessEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE18getComparableValueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE6getTagEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE7getSizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE7getTypeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE8getCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIdE9writeDataEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE12writeTagInfoEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE13getDataHelperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE13getEndiannessEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE18getComparableValueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE6getTagEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE7getSizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE7getTypeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE8getCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIhE9writeDataEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE12writeTagInfoEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE13getDataHelperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE13getEndiannessEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE18getComparableValueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE6getTagEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE7getSizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE7getTypeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE8getCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIiE9writeDataEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE12writeTagInfoEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE13getDataHelperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE13getEndiannessEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE18getComparableValueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE6getTagEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE7getSizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE7getTypeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE8getCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplIjE9writeDataEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE12writeTagInfoEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE13getDataHelperEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE13getEndiannessEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE18getComparableValueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE6getTagEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE7getSizeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE7getTypeEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE8getCountEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK7android9img_utils13TiffEntryImplItE9writeDataEjPNS0_12EndianOutputE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion10intersectsERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion10intersectsERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion13writeToMemoryEPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion20count_runtype_valuesEPiS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion23computeRegionComplexityEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion7getRunsEPiS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion7isValidEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion8containsERK7SkIRect);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion8containsERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion8containsEii);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegion9translateEiiPS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkRegioneqERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString3Rec3refEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString3Rec5unrefEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString3Rec6uniqueEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString6equalsEPKc);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString6equalsEPKcj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK8SkString6equalsERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK9Transform3mapEiiPiS0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNK9TransformeqERKS_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEPNS0_6__baseIST_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEPNS0_6__baseIST_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEPNS0_6__baseIST_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE7__cloneEPNS0_6__baseISR_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE7__cloneEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E7__cloneEPNS0_6__baseISG_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E7__cloneEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EENS_22__unordered_map_hasherIS7_S8_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_S8_NS_8equal_toIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_21__hash_const_iteratorIPNS_11__hash_nodeIS8_PvEEEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__16__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_21__tree_const_iteratorIS8_PNS_11__tree_nodeIS8_PvEEiEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNKSt3__16__treeINS_12__value_typeINS_17basic_string_viewIcNS_11char_traitsIcEEEEyEENS_19__map_value_compareIS5_S6_NS_4lessIS5_EELb1EEENS_9allocatorIS6_EEE4findIS5_EENS_21__tree_const_iteratorIS6_PNS_11__tree_nodeIS6_PvEEiEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE18destroy_deallocateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7destroyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EEclEOSE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE18destroy_deallocateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7destroyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EEclEOSE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE18destroy_deallocateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7destroyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EEclEOSE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE18destroy_deallocateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE7destroyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EEclEOSE_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E18destroy_deallocateEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E7destroyEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_EclEOS2_OxS8_SF_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableIN7android2spINS1_7IBinderEEENS1_3gui6SpHashIS3_EENS_8equal_toIS4_EENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS4_JS4_EEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableIN7android2spINS1_7IBinderEEENS1_3gui6SpHashIS3_EENS_8equal_toIS4_EENS_9allocatorIS4_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableIN7android2spINS1_7IBinderEEENS1_3gui6SpHashIS3_EENS_8equal_toIS4_EENS_9allocatorIS4_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE13__move_assignERSL_NS_17integral_constantIbLb1EEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE25__emplace_unique_key_argsIS7_JRKNS_21piecewise_construct_tENS_5tupleIJRKS7_EEENSQ_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeISB_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE4findIS7_EENS_15__hash_iteratorIPNS_11__hash_nodeISB_PvEEEERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiN7android10PidDmaInfoEEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIiJRKNS_21piecewise_construct_tENS_5tupleIJRKiEEENSK_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiN7android10PidDmaInfoEEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiN7android10PidDmaInfoEEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiNS_3setImNS_4lessImEENS_9allocatorImEEEEEENS_22__unordered_map_hasherIiS8_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS8_NS_8equal_toIiEELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIiJRKNS_21piecewise_construct_tENS_5tupleIJRKiEEENSN_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS8_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiNS_3setImNS_4lessImEENS_9allocatorImEEEEEENS_22__unordered_map_hasherIiS8_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS8_NS_8equal_toIiEELb1EEENS5_IS8_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiNS_3setImNS_4lessImEENS_9allocatorImEEEEEENS_22__unordered_map_hasherIiS8_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS8_NS_8equal_toIiEELb1EEENS5_IS8_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIiJRKNS_21piecewise_construct_tENS_5tupleIJRKiEEENSK_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIiJRKNS_4pairIKiS3_EEEEENSH_INS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE6removeENS_21__hash_const_iteratorIPNS_11__hash_nodeIS4_PvEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsIiJNS_4pairIiiEEEEENSF_INS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsIiJRKNS_4pairIKiiEEEEENSF_INS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIjN7android3bpf17concurrent_time_tEEENS_22__unordered_map_hasherIjS5_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS5_NS_8equal_toIjEELb1EEENS_9allocatorIS5_EEED2Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsIjJRjSF_EEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE6removeENS_21__hash_const_iteratorIPNS_11__hash_nodeIS2_PvEEEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsImJRKNS_21piecewise_construct_tENS_5tupleIJOmEEENSI_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsImJRKNS_21piecewise_construct_tENS_5tupleIJRKmEEENSI_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE21__construct_node_hashIRtJRS7_EEENS_10unique_ptrINS_11__hash_nodeIS8_PvEENS_22__hash_node_destructorINS3_ISP_EEEEEEjOT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE25__emplace_unique_key_argsItJRKNS_21piecewise_construct_tENS_5tupleIJRKtEEENSN_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS8_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE25__emplace_unique_key_argsItJRtRS7_EEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS8_PvEEEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE6rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE8__rehashEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__113__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__114__split_bufferINS_17basic_string_viewIcNS_11char_traitsIcEEEERNS_9allocatorIS4_EEE9push_backEOS4_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__116__set_differenceIRNS_6__lessIiiEENS_21__tree_const_iteratorIiPNS_11__tree_nodeIiPvEEiEES9_NS_15insert_iteratorINS_3setIiNS_4lessIiEENS_9allocatorIiEEEEEEEET2_T0_SJ_T1_SK_SI_T_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__117__call_once_proxyINS_5tupleIJRFvvEEEEEEvPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__118__set_intersectionIRNS_6__lessImmEENS_21__tree_const_iteratorImPNS_11__tree_nodeImPvEEiEES9_NS_15insert_iteratorINS_3setImNS_4lessImEENS_9allocatorImEEEEEEEET2_T0_SJ_T1_SK_SI_T_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_emplaceIN7android14CameraMetadataENS_9allocatorIS2_EEE16__on_zero_sharedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_emplaceIN7android14CameraMetadataENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_emplaceIN7android16JGlobalRefHolderENS_9allocatorIS2_EEE16__on_zero_sharedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_emplaceIN7android16JGlobalRefHolderENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_emplaceIN7android28NativeInputApplicationHandleENS_9allocatorIS2_EEE16__on_zero_sharedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_emplaceIN7android28NativeInputApplicationHandleENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_pointerIPN7android12InputChannelENS_14default_deleteIS2_EENS_9allocatorIS2_EEE16__on_zero_sharedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_pointerIPN7android12InputChannelENS_14default_deleteIS2_EENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_pointerIPN7android14CameraMetadataENS_14default_deleteIS2_EENS_9allocatorIS2_EEE16__on_zero_sharedEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__120__shared_ptr_pointerIPN7android14CameraMetadataENS_14default_deleteIS2_EENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__124__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__127__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeIN7android15ResTable_configENS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeINS_17basic_string_viewIcNS_11char_traitsIcEEEEyEENS_19__map_value_compareIS5_S6_NS_4lessIS5_EELb1EEENS_9allocatorIS6_EEE25__emplace_unique_key_argsIS5_JNS_4pairIKS5_yEEEEENSF_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEEiEEbEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeINS_17basic_string_viewIcNS_11char_traitsIcEEEEyEENS_19__map_value_compareIS5_S6_NS_4lessIS5_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIffEENS_19__map_value_compareIfS2_NS_4lessIfEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS8_PNS_11__tree_nodeIS8_SH_EEiEERPNS_15__tree_end_nodeISJ_EESK_RKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE30__emplace_hint_unique_key_argsIiJRKNS_4pairIKiS7_EEEEENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEEiEENS_21__tree_const_iteratorIS8_SP_iEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIiNS_6vectorIN7android15AudioAttributesENS_9allocatorIS4_EEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIjjEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIyNS_10unique_ptrI14ScopedLocalRefIP11_jbyteArrayENS_14default_deleteIS6_EEEEEENS_19__map_value_compareIySA_NS_4lessIyEELb1EEENS_9allocatorISA_EEE5eraseENS_21__tree_const_iteratorISA_PNS_11__tree_nodeISA_PvEEiEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12__value_typeIyNS_10unique_ptrI14ScopedLocalRefIP11_jbyteArrayENS_14default_deleteIS6_EEEEEENS_19__map_value_compareIySA_NS_4lessIyEELb1EEENS_9allocatorISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS6_PNS_11__tree_nodeIS6_SD_EEiEERPNS_15__tree_end_nodeISF_EESG_RKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE30__emplace_hint_unique_key_argsIS6_JRKS6_EEENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEEiEENS_21__tree_const_iteratorIS6_SI_iEERKT_DpOT0_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeIiNS_4lessIiEENS_9allocatorIiEEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIiPNS_11__tree_nodeIiS8_EEiEERPNS_15__tree_end_nodeISA_EESB_RKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeImNS_4lessImEENS_9allocatorImEEE12__find_equalImEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorImPNS_11__tree_nodeImS8_EEiEERPNS_15__tree_end_nodeISA_EESB_RKT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeImNS_4lessImEENS_9allocatorImEEE14__assign_multiINS_21__tree_const_iteratorImPNS_11__tree_nodeImPvEEiEEEEvT_SD_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorI11sock_filterNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorI11sock_filterNS_9allocatorIS1_EEE21__push_back_slow_pathIS1_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorI13audio_usage_tNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorI15audio_devices_tNS_9allocatorIS1_EEE21__push_back_slow_pathIS1_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android10BlurRegionENS_9allocatorIS2_EEE21__push_back_slow_pathIS2_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android10dmabufinfo10DmabufInfoENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJRS3_EEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android10dmabufinfo9DmaBufferENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJRKmyiRNS_12basic_stringIcNS_11char_traitsIcEENS4_IcEEEERA10_KcEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android10dmabufinfo9DmaBufferENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJRyS8_S8_RNS_12basic_stringIcNS_11char_traitsIcEENS4_IcEEEESE_EEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android10dmabufinfo9DmaBufferENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJmRyS8_RPcPKcEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android15AudioAttributesENS_9allocatorIS2_EEE21__push_back_slow_pathIRKS2_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android19AudioDeviceTypeAddrENS_9allocatorIS2_EEE21__push_back_slow_pathIRKS2_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android2spINS1_22HwBinderDeathRecipientEEENS_9allocatorIS4_EEE21__push_back_slow_pathIRKS4_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android5media17AudioVibratorInfoENS_9allocatorIS3_EEE21__push_back_slow_pathIRKS3_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android8graphics6BitmapENS_9allocatorIS3_EEE8__appendEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIN7android8hardware8graphics6common4V1_23HdrENS_9allocatorIS6_EEE21__push_back_slow_pathIS6_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS0_IyNS_9allocatorIyEEEENS1_IS3_EEE21__push_back_slow_pathIRKS3_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS0_IyNS_9allocatorIyEEEENS1_IS3_EEE24__emplace_back_slow_pathIJRS3_EEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRA19_KcEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRA21_KcEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRA9_KcEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRPKcEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_17basic_string_viewIcNS_11char_traitsIcEEEENS_9allocatorIS4_EEE6insertENS_11__wrap_iterIPKS4_EEOS4_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorINS_7variantIJN7android24NativeInputEventReceiver6FinishENS3_8TimelineEEEENS_9allocatorIS6_EEE21__push_back_slow_pathIS6_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIPKN7android9ApkAssetsENS_9allocatorIS4_EEE21__push_back_slow_pathIS4_EEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIfNS_9allocatorIfEEE21__push_back_slow_pathIRKfEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIhNS_9allocatorIhEEE6resizeEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIhNS_9allocatorIhEEE8__appendEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIiNS_9allocatorIiEEE21__push_back_slow_pathIRKiEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIiNS_9allocatorIiEEE21__push_back_slow_pathIiEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIiNS_9allocatorIiEEE6insertINS_11__wrap_iterIPKiEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIiNS_15iterator_traitsISA_E9referenceEEE5valueENS5_IPiEEE4typeES8_SA_SA_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIiNS_9allocatorIiEEE6insertINS_11__wrap_iterIPiEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIiNS_15iterator_traitsIS9_E9referenceEEE5valueES7_E4typeENS5_IPKiEES9_S9_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIiNS_9allocatorIiEEE6insertINS_21__tree_const_iteratorIiPNS_11__tree_nodeIiPvEEiEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIiNS_15iterator_traitsISC_E9referenceEEE5valueENS_11__wrap_iterIPiEEE4typeENSG_IPKiEESC_SC_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIjNS_9allocatorIjEEE21__push_back_slow_pathIjEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEjRS5_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIxNS_9allocatorIxEEE21__push_back_slow_pathIxEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIyNS_9allocatorIyEEE21__push_back_slow_pathIyEEvOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIyNS_9allocatorIyEEE24__emplace_back_slow_pathIJRyEEEvDpOT_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIyNS_9allocatorIyEEE6assignIPyEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIyNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIyNS_9allocatorIyEEE6insertINS_11__wrap_iterIPKyEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIyNS_15iterator_traitsISA_E9referenceEEE5valueENS5_IPyEEE4typeES8_SA_SA_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__16vectorIyNS_9allocatorIyEEE8__appendEj);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__17getlineIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS_13basic_istreamIT_T0_EES9_RNS_12basic_stringIS6_S7_T1_EES6_);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZNSt3__1lsIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS_13basic_ostreamIT_T0_EES9_RKNS_12basic_stringIS6_S7_T1_EE);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn4_N7android21JNIAudioTrackCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn4_N7android21JNIAudioTrackCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn4_N7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android18NativeMessageQueue11handleEventEiiPv);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android18NativeMessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZThn8_N7android18NativeMessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N20JNIAudioPortCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N20JNIAudioPortCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android10InputQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android10InputQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android12MessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android12MessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android17JNIDeviceCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android17JNIDeviceCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android18NativeMessageQueueD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android18NativeMessageQueueD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android21JNIAudioTrackCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android21JNIAudioTrackCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android22NativeInputEventSenderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android22NativeInputEventSenderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android24JNISurfaceTextureContextD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android24JNISurfaceTextureContextD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android24NativeInputEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android24NativeInputEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android26NativeDisplayEventReceiverD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android26NativeDisplayEventReceiverD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android27JNIAudioVolumeGroupCallbackD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android27JNIAudioVolumeGroupCallbackD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android9JHwBinderD0Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(_ZTv0_n12_N7android9JHwBinderD1Ev);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_fatal_no_abort);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_fatal_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_buffer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_buffer_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_fd);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_fd_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_log);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_format_log_va_list);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(async_safe_write_log);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(crypto_scrypt);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferBaseArray);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferBaseArrayOffset);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferFields);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniGetNioBufferPointer);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(jniUninitializeConstants);
DEFINE_INTERCEPTABLE_STUB_FUNCTION(registerFrameworkNatives);

static void __attribute__((constructor(0))) init_stub_library() {
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AFileDescriptor_create);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AFileDescriptor_getFd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AFileDescriptor_setFd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_addBoolAnnotation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_addInt32Annotation);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_build);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_obtain);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_release);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_setAtomId);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_write);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeAttributionChain);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeBool);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeByteArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeFloat);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeInt32);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeInt64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsEvent_writeString);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AStatsSocket_close);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", AndroidRuntimeGetJavaVM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JNI_CreateJavaVM);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JNI_GetCreatedJavaVMs);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JNI_GetDefaultJavaVMInitArgs);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationCreate);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationDestroy);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationGetLibrary);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", JniInvocationInit);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", PreventLibnativehelperLazyLoadingForTests);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", PreventLibstatssocketLazyLoadingForTests);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z10GetOpenFdsRKNSt3__18functionIFvNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z11GetOwnerTagPK10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z11OpenArchivePKcPP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z12CloseArchiveP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z12EndIterationPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z13OpenArchiveFdiPKcPP10ZipArchiveb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14GetArchiveInfoP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14StartIterationP10ZipArchivePPvNSt3__117basic_string_viewIcNS3_11char_traitsIcEEEES7_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z14StartIterationP10ZipArchivePPvNSt3__18functionIFbNS3_17basic_string_viewIcNS3_11char_traitsIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15ErrorCodeStringi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15ExtractToMemoryP10ZipArchivePK10ZipEntry64Phj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15ExtractToMemoryP10ZipArchivePK8ZipEntryPhj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15sk_calloc_throwjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15sk_malloc_flagsjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z15sk_malloc_throwjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z16sk_out_of_memoryv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z16sk_realloc_throwPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z16sk_realloc_throwPvjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17GetFileDescriptorP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17get_native_cameraP7_JNIEnvP8_jobjectPP16JNICameraContext);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17sk_abort_no_printv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z17sk_malloc_canfailjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z18ExtractEntryToFileP10ZipArchivePK10ZipEntry64i);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z18ExtractEntryToFileP10ZipArchivePK8ZipEntryi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z18OpenArchiveFdRangeiPKcPP10ZipArchivexxb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z19_set_seccomp_filter10FilterType);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z21OpenArchiveFromMemoryPKvjPKcPP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z22get_device_from_objectP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z22set_app_seccomp_filterv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z23GetFileDescriptorOffsetP10ZipArchive);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z23get_request_from_objectP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25_install_setuidgid_filterjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25android_os_Process_setGidP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25android_os_Process_setUidP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z25set_system_seccomp_filterv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z26android_os_Process_getPidsP7_JNIEnvP8_jobjectP8_jstringP10_jintArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z26get_exclusive_cpuset_cores11SchedPolicyP9cpu_set_t);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z26register_android_os_BinderP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z27android_os_Process_setArgV0P7_JNIEnvP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z27register_android_media_midiP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z27register_android_os_ProcessP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z29android_os_Process_sendSignalP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z29set_app_zygote_seccomp_filterv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z31android_os_Process_readProcFileP7_JNIEnvP8_jobjectP8_jstringP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_getGidForNameP7_JNIEnvP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_getUidForNameP7_JNIEnvP8_jobjectP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_parseProcLineP7_JNIEnvP8_jobjectP11_jbyteArrayiiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_readProcLinesP7_JNIEnvP8_jobjectP8_jstringP13_jobjectArrayP11_jlongArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32android_os_Process_setSwappinessP7_JNIEnvP8_jobjectih);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32install_setuidgid_seccomp_filterjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z32register_android_hardware_CameraP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33android_os_Process_setThreadGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33register_android_media_AudioTrackP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33register_android_opengl_jni_EGL14P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z33register_android_opengl_jni_EGL15P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34JHwBinder_native_joinRpcThreadpoolv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_getProcessGroupP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_sendSignalQuietP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34android_os_Process_setProcessGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34javaAudioFormatToNativeAudioConfigP7_JNIEnvP12audio_configP8_jobjectb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_media_AudioRecordP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_media_AudioSystemP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_EGLExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES10P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES11P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES20P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES30P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES31P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z34register_android_opengl_jni_GLES32P7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35android_os_Process_killProcessGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35android_os_Process_setProcessFrozenP7_JNIEnvP8_jobjectiih);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35register_android_hardware_SyncFenceP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z35register_android_hardware_UsbDeviceP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Binder_getNativeFinalizerP7_JNIEnvP7_jclass);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Process_getExclusiveCoresP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Process_getThreadPriorityP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36android_os_Process_setThreadPriorityP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36register_android_hardware_SerialPortP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36register_android_hardware_UsbRequestP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z36register_android_media_ToneGeneratorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_media_getIntConstantFromClassP7_JNIEnvP7_jclassPKcS4_Pi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_createProcessGroupP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_getPidsForCommandsP7_JNIEnvP8_jobjectP13_jobjectArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_getThreadSchedulerP7_JNIEnvP7_jclassi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_parseProcLineArrayP7_JNIEnvP8_jobjectPciiP10_jintArrayP13_jobjectArrayP11_jlongArrayP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37android_os_Process_setThreadSchedulerP7_JNIEnvP7_jclassiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_media_MicrophoneInfoP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_opengl_jni_GLES10ExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_opengl_jni_GLES11ExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z37register_android_opengl_jni_GLES31ExtP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z38android_media_AudioTrack_getAudioTrackP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z38register_android_media_AudioAttributesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39JHwBinder_native_configureRpcThreadpoolP7_JNIEnvP7_jclassxh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39android_os_Process_setApplicationObjectP7_JNIEnvP8_jobjectS2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39register_android_graphics_GraphicBufferP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z39register_android_hardware_SensorManagerP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z40register_android_hardware_HardwareBufferP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z40register_android_media_AudioVolumeGroupsP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z41JHwBinder_native_setTrebleTestingOverrideP7_JNIEnvP7_jclassh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z41android_os_BinderProxy_getNativeFinalizerP7_JNIEnvP7_jclass);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z41android_os_Process_removeAllProcessGroupsP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z42android_os_Process_setThreadGroupAndCpusetP7_JNIEnvP8_jobjectii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z43android_os_Process_setCallingThreadPriorityP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z43register_com_google_android_gles_jni_GLImplP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_android_hardware_camera2_DngCreatorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_android_media_AudioDeviceAttributesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_android_media_AudioEffectDescriptorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z44register_com_google_android_gles_jni_EGLImplP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z45register_android_hardware_UsbDeviceConnectionP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z45register_android_media_AudioProductStrategiesP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z48register_android_hardware_camera2_CameraMetadataP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP10ZipEntry64PNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP10ZipEntry64PNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP8ZipEntryPNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z4NextPvP8ZipEntryPNSt3__117basic_string_viewIcNS2_11char_traitsIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z50register_android_media_audio_common_AidlConversionP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z52register_android_hardware_camera2_utils_SurfaceUtilsP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z52register_android_media_AudioVolumeGroupChangeHandlerP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z54register_android_hardware_display_DisplayManagerGlobalP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z62register_android_hardware_location_ActivityRecognitionHardwareP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z67register_android_hardware_camera2_impl_CameraExtensionJpegProcessorP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z7sk_freePv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z8SkDebugfPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z8compressiiPhiiS_iiS_iiS_jiiiiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z8compressiiR11RowIteratorILj16EERS_ILj8EES3_PhjNSt3__18functionIFvjEEEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP10ZipEntry64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _Z9FindEntryP10ZipArchiveNSt3__117basic_string_viewIcNS1_11char_traitsIcEEEEP8ZipEntry);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchive26InitializeCentralDirectoryExj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchiveC2EO13MappedZipFileb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchiveC2EPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN10ZipArchiveD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive6ReaderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive6ReaderD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive6WriterD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive6WriterD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN11zip_archive7InflateERKNS_6ReaderEyyPNS_6WriterEPy);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext10setGpsDataERK7GpsData);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext12setThumbnailEPKhjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext14setCaptureTimeERKN7android7String8E);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext14setDescriptionERKN7android7String8E);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext14setOrientationEt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContext9getWriterEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContextC2ERKN7android14CameraMetadataES3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContextD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN13NativeContextD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream4openEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream4readEPhjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream4skipEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStream5closeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStreamC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStreamD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN14JniInputStreamD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip3214ResetIterationEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip324NextEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip326CreateEt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip328AddToMapENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip32C2Et);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip6414ResetIterationEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip644NextEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip646CreateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15CdEntryMapZip648AddToMapENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStream4openEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStream5closeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStream5writeEPKhjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStreamC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStreamD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN15JniOutputStreamD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16CentralDirectory10InitializeEPKvxj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSource13writeToStreamERN7android9img_utils6OutputEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSourceC2EP7_JNIEnvRN7android9img_utils5InputEjjjjjyjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSourceD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16InputStripSourceD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext11copyAndPostEP7_JNIEnvRKN7android2spINS2_7IMemoryEEEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext12postMetadataEP7_JNIEnviP21camera_frame_metadata);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext15setCallbackModeEP7_JNIEnvbb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext17addCallbackBufferEP7_JNIEnvP11_jbyteArrayi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext17getCallbackBufferEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext17postDataTimestampExiRKN7android2spINS0_7IMemoryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext22clearCallbackBuffers_lEP7_JNIEnvPN7android6VectorIP11_jbyteArrayEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext33postRecordingFrameHandleTimestampExP13native_handle);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext38postRecordingFrameHandleTimestampBatchERKNSt3__16vectorIxNS0_9allocatorIxEEEERKNS1_IP13native_handleNS2_IS8_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext6notifyEiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext7releaseEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContext8postDataEiRKN7android2spINS0_7IMemoryEEEP21camera_frame_metadata);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContextC1EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN16JNICameraContextC2EP7_JNIEnvP8_jobjectP7_jclassRKN7android2spINS6_6CameraEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSource13writeToStreamERN7android9img_utils6OutputEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSourceC2EP7_JNIEnvPKhjjjjjyjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSourceD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN17DirectStripSourceD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList3addERKN7android2spI18JavaDeathRecipientEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList4findEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList4lockEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientList6removeERKN7android2spI18JavaDeathRecipientEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientListC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientListD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18DeathRecipientListD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfo12CreateFromFdEiRKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfo13GetSocketNameEiPNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfoC2E4statRKNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEEiiiil);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18FileDescriptorInfoC2Ei);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBuffer4openEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBuffer4readEPhjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBuffer5closeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBufferC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBufferD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN18JniInputByteBufferD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable14RestatInternalERNSt3__13setIiNS0_4lessIiEENS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS4_IcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable6CreateERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTable6RestatERKNSt3__16vectorIiNS0_9allocatorIiEEEERKNS0_8functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS2_IcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTableC2ERKNSt3__113unordered_mapIiP18FileDescriptorInfoNS0_4hashIiEENS0_8equal_toIiEENS0_9allocatorINS0_4pairIKiS3_EEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN19FileDescriptorTableD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback13onServiceDiedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback21onAudioPortListUpdateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback22onAudioPatchListUpdateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallback9sendEventEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackC1EP7_JNIEnvP8_jobjectS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackC2EP7_JNIEnvP8_jobjectS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN20JNIAudioPortCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN23FileDescriptorAllowlist3GetEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN23FileDescriptorAllowlistC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF10CountUTF16EPKtj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF10CountUTF32EPKij);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF11UTF16ToUTF8EPciPKtj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF11UTF8ToUTF16EPtiPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF6ToUTF8EiPc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF7ToUTF16EiPt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF8NextUTF8EPPKcS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF9CountUTF8EPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF9NextUTF16EPPKtS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5SkUTF9NextUTF32EPPKiS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs12ScopedJmpBufD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs13SignalHandler7handlerEiP7siginfoPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs13SignalHandler8instanceEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN5incfs13SignalHandlerC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect14setBoundsCheckEPK7SkPointi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect16setBoundsNoCheckEPK7SkPointi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect4joinERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect9intersectERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN6SkRect9intersectERKS_S1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7SkIRect4joinERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7SkIRect9intersectERKS_S1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue11createQueueEP8_jobjectRKNS_2spINS_6LooperEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue11finishEventEPNS_10InputEventEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue12attachLooperEPNS_6LooperEiPFiiiPvES3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue12detachLooperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue12enqueueEventEPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue13handleMessageERKNS_7MessageE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue14createKeyEventEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue16preDispatchEventEPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue17createMotionEventEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue17recycleInputEventEPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue18detachLooperLockedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue8getEventEPPNS_10InputEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueue9hasEventsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueC1EP8_jobjectRKNS_2spINS_6LooperEEEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueC2EP8_jobjectRKNS_2spINS_6LooperEEEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10InputQueueD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo11ReadDmaBufsEPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo14ReadDmaBufInfoEPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo14ReadDmaBufInfoEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEEbRKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo16ReadDmaBufFdRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo17ReadDmaBufMapRefsEiPNSt3__16vectorINS0_9DmaBufferENS1_9allocatorIS3_EEEERKNS1_12basic_stringIcNS1_11char_traitsIcEENS4_IcEEEESE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo18ReadBufferExporterEjPNSt3__112basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERKS7_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo19GetDmabufSysfsStatsEPNS0_16DmabufSysfsStatsERKNSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10dmabufinfo24GetDmabufTotalExportedKbEPyRKNSt3__112basic_stringIcNS2_11char_traitsIcEENS2_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android10getServiceINS_8hardware14ICameraServiceEEEiRKNS_8String16EPNS_2spIT_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_20IRemoteDisplayClientEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_3gui21IHdrLayerInfoListenerEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_3gui22IScreenCaptureListenerEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_3gui23IRegionSamplingListenerEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_3gui26ITunnelModeEnabledListenerEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_5media19IAudioTrackCallbackEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11BnInterfaceINS_8hardware7display27IDeviceProductInfoConstantsEE10onAsBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory12javaToNativeEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory16getNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory6toJavaEP7_JNIEnvRKNS_8hardware11hidl_memoryE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemory8fromJavaEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android11JHidlMemoryD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueue22raiseAndClearExceptionEP7_JNIEnvPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android12MessageQueueD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13JNativeHandle19MakeCppNativeHandleEP7_JNIEnvP8_jobjectPNS_16EphemeralStorageE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13JNativeHandle23MakeJavaNativeHandleObjEP7_JNIEnvPK13native_handle);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android13JNativeHandle29AllocJavaNativeHandleObjArrayEP7_JNIEnvi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime10getRuntimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime11onVmCreatedEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime14parseExtraOptsEPcPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime15NewStringLatin1EP7_JNIEnvPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime15javaThreadShellEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime16createJavaThreadEPKcPFvPvES3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime16toSlashClassNameEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime18parseRuntimeOptionEPKcPcS2_S2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime19javaCreateThreadEtcEPFiPvES1_PKcijPS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime19parseCompilerOptionEPKcPcS2_S2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime21registerNativeMethodsEP7_JNIEnvPKcPK15JNINativeMethodi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime26parseCompilerRuntimeOptionEPKcPcS2_S2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime4exitEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime5startEPKcRKNS_6VectorINS_7String8EEEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime7startVmEPP7_JavaVMPP7_JNIEnvbb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime8callMainERKNS_7String8EP7_jclassRKNS_6VectorIS1_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime8setArgv0EPKcb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime8startRegEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime9addOptionEPKcPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime9getJNIEnvEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntime9getJavaVMEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntimeC2EPcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntimeD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android14AndroidRuntimeD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder16GetNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder9NewObjectEP7_JNIEnvRKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinder9setBinderERKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15JHwRemoteBinderC2EP7_JNIEnvP8_jobjectRKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15MediaMetricsJNI20writeMetricsToBundleEP7_JNIEnvPNS_12mediametrics4ItemEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15MediaMetricsJNI29nativeToJavaPersistableBundleEP7_JNIEnvPNS_2os17PersistableBundleE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android15getBPNativeDataEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16DeleteScreenshotEPvS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage16allocStringArrayEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage20allocTemporaryStringEP7_JNIEnvP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage21allocTemporaryStorageEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage24allocTemporaryInt8VectorEP7_JNIEnvP11_jbyteArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryFloatVectorEP7_JNIEnvP12_jfloatArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryInt16VectorEP7_JNIEnvP12_jshortArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryInt32VectorEP7_JNIEnvP10_jintArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage25allocTemporaryInt64VectorEP7_JNIEnvP11_jlongArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage26allocTemporaryDoubleVectorEP7_JNIEnvP13_jdoubleArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage26allocTemporaryNativeHandleEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorage7releaseEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorageC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android16EphemeralStorageD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17ApkAssetsFromLongEx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallback19onAudioDeviceUpdateEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android17JNIDeviceCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannel18setDisposeCallbackEPFvP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEEPvESB_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannel7disposeEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannelC2ENSt3__110unique_ptrINS_12InputChannelENS1_14default_deleteIS3_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeInputChannelD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue14raiseExceptionEP7_JNIEnvPKcP11_jthrowable);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue23setFileDescriptorEventsEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue4wakeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueue8pollOnceEP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueC1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android18NativeMessageQueueD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android19parcelForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState11addMovementEPKNS_11MotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState11getVelocityEiPfS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState12getEstimatorEiPNS_15VelocityTracker9EstimatorE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState22computeCurrentVelocityEif);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerState5clearEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20VelocityTrackerStateC2ENS_15VelocityTracker8StrategyE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20ibinderForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20javaObjectForIBinderEP7_JNIEnvRKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android20poly_clip_to_frustumEPNS_4PolyE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallback20onCodecFormatChangedERKNSt3__16vectorIhNS1_9allocatorIhEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackC1EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackC2EP7_JNIEnvP8_jobjectS4_P10_jmethodID);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android21JNIAudioTrackCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender10initializeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender12sendKeyEventEjPKNS_8KeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender15sendMotionEventEjPKNS_11MotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender22notifyConsumerResponseEP7_JNIEnvP8_jobjectRKNSt3__17variantIJNS_14InputPublisher8FinishedENS7_8TimelineEEEEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender23processConsumerResponseEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSender7disposeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22NativeInputEventSenderD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22createJavaParcelObjectEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22poly_clip_to_halfspaceEPNS_4PolyES1_iff);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android22validateCanUseHwBinderERKNS_2spINS_8hardware7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper10makeUniqueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper12getJavaArrayEP7_JNIEnvPP13_jobjectArrayi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper12nativeToJavaEP7_JNIEnvPP8_jobjectRK18audio_attributes_t);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23JNIAudioAttributeHelper14nativeFromJavaEP7_JNIEnvP8_jobjectP18audio_attributes_t);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandle10updateInfoEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandle31getInputWindowHandleObjLocalRefEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandleC2EP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandleD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23NativeInputWindowHandleD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23binder_report_exceptionEP7_JNIEnvP11_jthrowablePKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23newParcelFileDescriptorEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23recycleJavaParcelObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23signalExceptionForErrorEP7_JNIEnvP8_jobjectibi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23signalExceptionForErrorEP7_JNIEnvib);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnvP7sqlite3PKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnvPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android23throw_sqlite3_exceptionEP7_JNIEnviPKcS3_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContext16onFrameAvailableERKNS_10BufferItemE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContext9getJNIEnvEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContextC1EP7_JNIEnvP8_jobjectP7_jclass);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContextC2EP7_JNIEnvP8_jobjectP7_jclass);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContextD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContextD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24JNISurfaceTextureContextD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader20getCpuFrequencyCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader28startAggregatingTaskCpuTimesEit);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader28startTrackingProcessCpuTimesEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24MockCpuTimeInStateReader29getAggregatedTaskCpuFreqTimesEiRKNSt3__16vectorItNS1_9allocatorItEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver10initializeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver11setFdEventsEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver13consumeEventsEP7_JNIEnvbxPb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver14reportTimelineEixx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver16finishInputEventEjb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver21processOutboundEventsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver4dumpEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiver7disposeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverC1EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverC2EP7_JNIEnvP8_jobjectRKNSt3__110shared_ptrINS_12InputChannelEEERKNS_2spINS_12MessageQueueEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android24NativeInputEventReceiverD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25AssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25register_android_os_DebugEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25register_android_os_TraceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android25register_android_util_LogEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList3addERKNS_2spINS_22HwBinderDeathRecipientEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList4findEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList4lockEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientList6removeERKNS_2spINS_22HwBinderDeathRecipientEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientListC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientListD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26HwBinderDeathRecipientListD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver13dispatchVsyncExNS_17PhysicalDisplayIdEjNS_3gui14VsyncEventDataE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver15dispatchHotplugExNS_17PhysicalDisplayIdEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver19dispatchModeChangedExNS_17PhysicalDisplayIdEix);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver26dispatchFrameRateOverridesExNS_17PhysicalDisplayIdENSt3__16vectorINS_20DisplayEventReceiver5Event17FrameRateOverrideENS2_9allocatorIS6_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiver7disposeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverC1EP7_JNIEnvP8_jobjectRKNS_2spINS_12MessageQueueEEEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverC2EP7_JNIEnvP8_jobjectRKNS_2spINS_12MessageQueueEEEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26NativeDisplayEventReceiverD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26SurfaceTexture_getProducerEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26audioEffectDescriptorClassEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26register_android_os_HwBlobEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android26register_android_os_ParcelEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallback13onServiceDiedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallback25onAudioVolumeGroupChangedENS_14volume_group_tEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackC1EP7_JNIEnvP8_jobjectS4_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackC2EP7_JNIEnvP8_jobjectS4_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27JNIAudioVolumeGroupCallbackD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android27register_android_os_SELinuxEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandle10updateInfoEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandle36getInputApplicationHandleObjLocalRefEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandleC2EP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandleD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NativeInputApplicationHandleD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28NdkAssetManagerForJavaObjectEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28register_android_os_HwBinderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28register_android_os_HwParcelEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android28set_dalvik_blockguard_policyEP7_JNIEnvi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_NativeActivity_finishEP15ANativeActivity);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_view_KeyEvent_recycleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_view_PointerIcon_loadEP7_JNIEnvP8_jobjectS3_PNS_11PointerIconE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29android_view_VerifiedKeyEventEP7_JNIEnvRKNS_16VerifiedKeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29register_android_app_ActivityEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android29register_android_view_SurfaceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android2spINS_10AudioTrackEEaSEOS2_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android2spINS_11AudioRecordEEaSEPS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android2spINS_7IBinderEEaSINS_7BBinderEEERS2_ONS0_IT_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android2spINS_8hardware7display27IDeviceProductInfoConstantsEED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30AssetManagerForNdkAssetManagerEP13AAssetManager);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30android_view_KeyEvent_toNativeEP7_JNIEnvP8_jobjectPNS_8KeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_os_HidlMemoryEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_os_MemoryFileEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_util_EventLogEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android30register_android_view_KeyEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31android_view_InputDevice_createEP7_JNIEnvRKNS_15InputDeviceInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31android_view_Surface_getSurfaceEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31convertMicrophoneInfoFromNativeEP7_JNIEnvPP8_jobjectPKNS_5media14MicrophoneInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_opengl_classesEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_os_HidlSupportEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_os_SystemClockEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31register_android_os_VintfObjectEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android31throw_sqlite3_exception_errcodeEP7_JNIEnviPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32CameraMetadata_getNativeMetadataEP7_JNIEnvP8_jobjectPNS_14CameraMetadataE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32SurfaceTexture_getSurfaceTextureEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32android_view_KeyEvent_fromNativeEP7_JNIEnvPKNS_8KeyEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32android_view_MotionEvent_recycleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32android_view_VerifiedMotionEventEP7_JNIEnvRKNS_19VerifiedMotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_FileObserverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_MessageQueueEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_NativeHandleEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_os_SharedMemoryEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_security_ScryptEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_text_HyphenatorEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android32register_android_view_InputQueueEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33android_Configuration_getFromJavaEP7_JNIEnvP8_jobjectP14AConfiguration);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33android_view_Surface_isInstanceOfEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33createAudioDeviceTypeAddrFromJavaEP7_JNIEnvPNS_19AudioDeviceTypeAddrEP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_content_XmlBlockEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_InputDeviceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_MotionEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_PointerIconEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android33register_android_view_TextureViewEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34convertHdrCapabilitiesToJavaObjectEP7_JNIEnvRKNS_15HdrCapabilitiesE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_os_HwRemoteBinderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_os_ServiceManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_os_UEventObserverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_util_CharsetUtilsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android34register_android_view_InputChannelEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35android_SurfaceTexture_isInstanceOfEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35android_view_KeyCharacterMap_createEP7_JNIEnviNSt3__110shared_ptrINS_15KeyCharacterMapEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35register_android_app_ActivityThreadEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35register_android_app_NativeActivityEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android35register_android_media_MediaMetricsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_NativeActivity_hideSoftInputEP15ANativeActivityi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_NativeActivity_showSoftInputEP15ANativeActivityi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_os_Debug_getDeathObjectCountEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_os_Debug_getLocalObjectCountEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_os_Debug_getProxyObjectCountEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_util_Log_isVerboseLogEnabledEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_view_InputQueue_getNativePtrEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36android_view_Surface_getNativeWindowEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_content_StringBlockEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_media_RemoteDisplayEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_net_LocalSocketImplEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_os_SystemPropertiesEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_os_VintfRuntimeInfoEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_util_MemoryIntArrayEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_view_SurfaceControlEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android36register_android_view_SurfaceSessionEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_NativeActivity_setWindowFlagsEP15ANativeActivityii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_view_MotionEvent_getNativePtrEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_view_MotionEvent_obtainAsCopyEP7_JNIEnvPKNS_11MotionEventE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37android_view_SurfaceSession_getClientEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37createAudioDeviceAttributesFromNativeEP7_JNIEnvPP8_jobjectPKNS_19AudioDeviceTypeAddrE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_content_AssetManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_database_SQLiteDebugEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_view_KeyCharacterMapEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android37register_android_view_VelocityTrackerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38android_NativeActivity_setWindowFormatEP15ANativeActivityi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38android_view_PointerIcon_getLoadedIconEP7_JNIEnvP8_jobjectPNS_11PointerIconE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38android_view_PointerIcon_getSystemIconEP7_JNIEnvP8_jobjecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38android_view_Surface_createFromSurfaceEP7_JNIEnvRKNS_2spINS_7SurfaceEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38convertAudioEffectDescriptorFromNativeEP7_JNIEnvPP8_jobjectPK19effect_descriptor_s);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_app_admin_SecurityLogEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_app_backup_FullBackupEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_content_res_ApkAssetsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_database_CursorWindowEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_database_SQLiteGlobalEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_text_AndroidCharacterEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_view_InputEventSenderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android38register_android_view_VerifiedKeyEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39android_os_MessageQueue_getMessageQueueEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39android_view_PointerIcon_loadSystemIconEP7_JNIEnvP8_jobjectiPNS_11PointerIconE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_backup_BackupDataInputEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_content_res_ObbScannerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_os_GraphicsEnvironmentEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_util_jar_StrictJarFileEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_android_view_InputWindowHandleEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android39register_com_android_internal_os_ZygoteEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui10WindowInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui10WindowInfo14setInputConfigENS_3ftl5FlagsINS1_11InputConfigEEEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui10WindowInfo18addTouchableRegionERKNS_4RectE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui11DisplayInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui12FocusRequest14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandle10updateFromENS_2spIS1_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandle14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandle14releaseChannelEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleC2ERKNS0_10WindowInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleC2ERKS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui16WindowInfoHandleD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android3gui20InputApplicationInfo14readFromParcelEPKNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40android_view_InputWindowHandle_getHandleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_backup_BackupDataOutputEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_ddm_DdmHandleNativeHeapEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_graphics_SurfaceTextureEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android40register_android_view_InputEventReceiverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41android_view_InputChannel_getInputChannelEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android41register_android_view_VerifiedMotionEventEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42android_view_InputChannel_createJavaObjectEP7_JNIEnvNSt3__110unique_ptrINS_12InputChannelENS2_14default_deleteIS4_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_content_res_ConfigurationEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_database_SQLiteConnectionEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_graphics_BLASTBufferQueueEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_os_PerformanceHintManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_os_storage_StorageManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_service_DataLoaderServiceEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android42register_android_view_DisplayEventReceiverEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android43register_android_window_WindowInfosListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android43register_com_android_internal_os_ZygoteInitEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44android_view_InputChannel_setDisposeCallbackEP7_JNIEnvP8_jobjectPFvS1_S3_RKNSt3__110shared_ptrINS_12InputChannelEEEPvESA_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44convertAudioEffectDescriptorVectorFromNativeEP7_JNIEnvPP13_jobjectArrayRKNSt3__16vectorI19effect_descriptor_sNS5_9allocatorIS7_EEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_android_backup_FileBackupHelperBaseEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_android_view_InputApplicationHandleEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_com_android_internal_os_FuseAppLoopEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android44register_com_android_internal_os_RuntimeInitEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android45android_view_InputApplicationHandle_getHandleEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android45android_view_InputWindowHandle_fromWindowInfoEP7_JNIEnvNS_3gui10WindowInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android46register_android_backup_BackupHelperDispatcherEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android47register_android_animation_PropertyValuesHolderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android47register_android_view_TunnelModeEnabledListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android47register_com_android_internal_content_F2fsUtilsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49android_hardware_display_DisplayViewport_toNativeEP7_JNIEnvP8_jobjectPNS_15DisplayViewportE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49register_android_hardware_display_DisplayViewportEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android49register_android_view_CompositionSamplingListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android4base9ParseUintIjEEbPKcPT_S4_b);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android4base9ParseUintItEEbPKcPT_S4_b);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android4base9ParseUintIyEEbPKcPT_S4_b);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android50com_android_internal_os_ZygoteCommandBuffer_insertEP7_JNIEnvP7_jclassxP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android50register_android_os_incremental_IncrementalManagerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android50register_com_android_internal_security_VerityUtilsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android51android_os_storage_StorageManager_setQuotaProjectIdEP7_JNIEnvP8_jobjectP8_jstringx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android51register_com_android_internal_os_ClassLoaderFactoryEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android52android_hardware_HardwareBuffer_convertToPixelFormatEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android52register_com_android_internal_os_ZygoteCommandBufferEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android52register_com_android_internal_util_VirtualRefBasePtrEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android53android_view_Surface_createFromIGraphicBufferProducerEP7_JNIEnvRKNS_2spINS_22IGraphicBufferProducerEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android53register_com_android_internal_os_KernelCpuBpfTrackingEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54android_graphics_GraphicBuffer_getNativeGraphicsBufferEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54android_hardware_HardwareBuffer_convertFromPixelFormatEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54android_hardware_HardwareBuffer_getNativeGraphicBufferEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_content_om_OverlayConfigEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_net_NetworkUtilsInternalEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_os_KernelAllocationStatsEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android54register_com_android_internal_os_LongMultiStateCounterEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android55android_hardware_HardwareBuffer_getNativeHardwareBufferEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android56android_graphics_GraphicBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android56register_android_view_SurfaceControlHdrLayerInfoListenerEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57android_hardware_HardwareBuffer_convertToGrallocUsageBitsEy);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57android_hardware_HardwareBuffer_createFromAHardwareBufferEP7_JNIEnvP15AHardwareBuffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57com_android_internal_os_ZygoteCommandBuffer_nativeNextArgEP7_JNIEnvP7_jclassx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57register_com_android_internal_content_NativeLibraryHelperEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android57register_com_android_internal_os_KernelCpuUidBpfMapReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android58com_android_internal_os_ZygoteCommandBuffer_nativeGetCountEP7_JNIEnvP7_jclassx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android58register_com_android_internal_os_KernelSingleUidTimeReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59com_android_internal_os_ZygoteCommandBuffer_getNativeBufferEP7_JNIEnvP7_jclassi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59register_com_android_internal_os_KernelCpuTotalBpfMapReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android59register_com_android_internal_os_LongArrayMultiStateCounterEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf9to_stringINS0_13KernelVersionEEENSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android5vintf9to_stringINS0_7VersionEEENSt3__112basic_stringIcNS3_11char_traitsIcEENS3_9allocatorIcEEEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android60android_view_InputApplicationHandle_fromInputApplicationInfoEP7_JNIEnvNS_3gui20InputApplicationInfoE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android60com_android_internal_os_ZygoteCommandBuffer_freeNativeBufferEP7_JNIEnvP7_jclassx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android60register_com_android_internal_os_ZygoteInit_nativeZygoteInitEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android64com_android_internal_os_ZygoteCommandBuffer_nativeForkRepeatedlyEP7_JNIEnvP7_jclassxiiiP8_jstring);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android67android_hardware_display_DisplayManagerGlobal_signalNativeCallbacksEP7_JNIEnvP8_jobjectf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android67com_android_internal_os_ZygoteCommandBuffer_nativeReadFullyAndResetEP7_JNIEnvP7_jclassx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android67register_com_android_internal_os_KernelSingleProcessCpuThreadReaderEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6Parcel5writeINS_6RegionEEEiRKNS_16LightFlattenableIT_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6zygote10ForkCommonEP7_JNIEnvbRKNSt3__16vectorIiNS3_9allocatorIiEEEES9_bb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6zygote13ZygoteFailureEP7_JNIEnvPKcP8_jstringRKNSt3__112basic_stringIcNS7_11char_traitsIcEENS7_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android6zygote7forkAppEP7_JNIEnviiRKNSt3__16vectorIiNS3_9allocatorIiEEEEbbb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob16GetNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob16specializeBlobToENS0_8BlobTypeE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob4dataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob5setToEPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob5writeEjPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob7putBlobEjRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob9NewObjectEP7_JNIEnvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlob9NewObjectEP7_JNIEnvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlobC2EP7_JNIEnvP8_jobjectj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlobD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7JHwBlobD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEE11updateValueERKS6_l);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEE8toStringEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEEC2EtRKS6_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterINSt3__16vectorIyNS2_9allocatorIyEEEEED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterIxE11updateValueERKxl);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterIxE8toStringEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterIxED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android7battery17MultiStateCounterIxED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware10fromBinderINS_4hidl4base4V1_05IBaseENS4_8BpHwBaseENS4_8BnHwBaseEEENS_2spIT_EERKNS8_INS0_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstants11asInterfaceERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstants14getDefaultImplEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstants14setDefaultImplENS_2spIS2_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display27IDeviceProductInfoConstantsD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BnDeviceProductInfoConstantsC1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BnDeviceProductInfoConstantsC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BpDeviceProductInfoConstantsC1ERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8hardware7display28BpDeviceProductInfoConstantsC2ERKNS_2spINS_7IBinderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android8internal8ToStringINS_5media5audio6common7PcmTypeEEENSt3__112basic_stringIcNS6_11char_traitsIcEENS6_9allocatorIcEEEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder10onTransactEjRKNS_8hardware6ParcelEPS2_jNSt3__18functionIFvRS2_EEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder15GetNativeBinderEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spINS_15JHwBinderHolderEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinder9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderC1EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwBinderD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel10getStorageEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel16GetNativeContextEP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel16SetNativeContextEP7_JNIEnvP8_jobjectRKNS_2spIS0_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel19setTransactCallbackENSt3__18functionIFvRNS_8hardware6ParcelEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel4sendEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9InitClassEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9NewObjectEP7_JNIEnv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9getParcelEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcel9setParcelEPNS_8hardware6ParcelEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcelC2EP7_JNIEnvP8_jobject);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcelD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9JHwParcelD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils10TiffWriter8addEntryIdEEitjPKT_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils10TiffWriter8addEntryIhEEitjPKT_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils10TiffWriter8addEntryIiEEitjPKT_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils10TiffWriter8addEntryIjEEitjPKT_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils10TiffWriter8addEntryItEEitjPKT_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIdED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIdED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIhED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIhED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIiED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIiED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIjED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplIjED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplItED0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN7android9img_utils13TiffEntryImplItED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10Cliperator4nextEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10CliperatorC2ERKS_RK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10Spanerator4nextEPiS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion10SpaneratorC2ERKS_iii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12RunsAreARectEPKiiP7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12allocateRunsERKNS_7RunHeadE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12allocateRunsEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion12allocateRunsEiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion13BuildRectRunsERK7SkIRectPi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion14readFromMemoryEPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion2opERK7SkIRectRKS_NS_2OpE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion2opERKS_RK7SkIRectNS_2OpE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion2opERKS_S1_NS_2OpE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion4OperERKS_S1_NS_2OpEPS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion4swapERS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion7setRectERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion7setRunsEPii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8Iterator4nextEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8Iterator5resetERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8Iterator6rewindEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8IteratorC2ERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8freeRunsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8setEmptyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8setRectsEPK7SkIRecti);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion8toStringEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegion9setRegionERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionC2ERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionC2ERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkRegionaSERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString11printVAListEPKcSt9__va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString12appendVAListEPKcSt9__va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString12insertScalarEjf);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString12writable_strEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString13insertUnicharEji);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString13prependVAListEPKcSt9__va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString3Rec4MakeEPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString3setEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString3setEPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString4swapERS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString5resetEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6insertEjPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6insertEjPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6printfEPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6removeEjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString6resizeEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString7appendfEPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString8prependfEPKcz);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertHexEjji);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertS32Eji);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertS64Ejxi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertU32Ejj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkString9insertU64Ejyi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2ENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2EOS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2EPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2EPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2ERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2ERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2Ej);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringC2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringD2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringaSEOS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringaSEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8SkStringaSERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN8ZipEntry18CopyFromZipEntry64EPS_PK10ZipEntry64);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN9Transform25forCropFollowedByRotationEiiiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZN9TransformC2Eiiii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile10GetBasePtrEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile12ReadAtOffsetEPhjx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile13GetFileLengthEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile13GetFileOffsetEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13MappedZipFile17GetFileDescriptorEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext10getGpsDataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext10hasGpsDataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext12getThumbnailEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext12hasThumbnailEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14getCaptureTimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14getDescriptionEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14getOrientationEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14hasCaptureTimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext14hasDescriptionEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext17getThumbnailWidthEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext18getCharacteristicsEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext18getThumbnailHeightEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK13NativeContext9getResultEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK14ZipEntryCommon19GetModificationTimeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK15CdEntryMapZip3216GetCdEntryOffsetENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK15CdEntryMapZip6416GetCdEntryOffsetENSt3__117basic_string_viewIcNS0_11char_traitsIcEEEEPKh);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK16InputStripSource6getIfdEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK16JNICameraContext33isRawImageCallbackBufferAvailableEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK17DirectStripSource6getIfdEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK18FileDescriptorInfo12DetachSocketERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK18FileDescriptorInfo14ReopenOrDetachERKNSt3__18functionIFvNS0_12basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK18FileDescriptorInfo16RefersToSameFileEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK23FileDescriptorAllowlist9IsAllowedERKNSt3__112basic_stringIcNS0_11char_traitsIcEENS0_9allocatorIcEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK6SkRect4dumpEb);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK6SkRect6toQuadEP7SkPoint);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE10do_compareEPKvS6_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorINS_16key_value_pair_tINS_7String8ES2_EEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE10do_compareEPKvS5_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android12SortedVectorIP27audiorecord_callback_cookieE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android15JHwRemoteBinder21getDeathRecipientListEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android15JHwRemoteBinder9getBinderEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo16interceptsStylusEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo18frameContainsPointEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo18supportsSplitTouchEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo28touchableRegionContainsPointEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo5isSpyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfo8overlapsEPKS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui10WindowInfoeqERKS1_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui11DisplayInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui12FocusRequest13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui16WindowInfoHandle13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui16WindowInfoHandle8getTokenEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android3gui20InputApplicationInfo13writeToParcelEPNS_6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6Parcel4readINS_6RegionEEEiRNS_16LightFlattenableIT_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorI12JavaVMOptionE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorI12JavaVMOptionE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorI12JavaVMOptionE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorI12JavaVMOptionE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorI12JavaVMOptionE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorI12JavaVMOptionE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16EphemeralStorage4ItemEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16EphemeralStorage4ItemEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16EphemeralStorage4ItemEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16EphemeralStorage4ItemEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16EphemeralStorage4ItemEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16EphemeralStorage4ItemEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_16key_value_pair_tIPNS_10InputEventEbEEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_22AudioMixMatchCriterionEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_22AudioMixMatchCriterionEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_22AudioMixMatchCriterionEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_22AudioMixMatchCriterionEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_22AudioMixMatchCriterionEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_22AudioMixMatchCriterionEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_6SensorEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_6SensorEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_6SensorEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_6SensorEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_6SensorEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_6SensorEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7JHwBlob8BlobInfoEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7JHwBlob8BlobInfoEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7JHwBlob8BlobInfoEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7JHwBlob8BlobInfoEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7JHwBlob8BlobInfoEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7JHwBlob8BlobInfoEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7String8EE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7String8EE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7String8EE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7String8EE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7String8EE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_7String8EE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8AudioMixEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8AudioMixEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8AudioMixEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8AudioMixEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8AudioMixEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8AudioMixEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8KeyEventEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8KeyEventEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8KeyEventEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8KeyEventEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8KeyEventEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorINS_8KeyEventEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP11_jbyteArrayE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP11_jbyteArrayE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP11_jbyteArrayE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP11_jbyteArrayE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP11_jbyteArrayE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP11_jbyteArrayE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP14ScopedUtfCharsE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP14ScopedUtfCharsE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP14ScopedUtfCharsE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP14ScopedUtfCharsE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP14ScopedUtfCharsE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIP14ScopedUtfCharsE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_10InputEventEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_10InputEventEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_10InputEventEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_10InputEventEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_10InputEventEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_10InputEventEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_6LooperEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_6LooperEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_6LooperEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_6LooperEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_6LooperEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_6LooperEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_9img_utils11StripSourceEE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_9img_utils11StripSourceEE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_9img_utils11StripSourceEE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_9img_utils11StripSourceEE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_9img_utils11StripSourceEE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIPNS_9img_utils11StripSourceEE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIdE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIdE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIdE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIdE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIdE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIdE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIfE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIfE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIfE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIfE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIfE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIfE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIhE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIhE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIhE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIhE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIhE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIhE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIiE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIiE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIiE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIiE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIiE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIiE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIjE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIjE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIjE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIjE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIjE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIjE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorItE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorItE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorItE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorItE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorItE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorItE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIxE10do_destroyEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIxE12do_constructEPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIxE15do_move_forwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIxE16do_move_backwardEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIxE7do_copyEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android6VectorIxE8do_splatEPvPKvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob13writeToParcelEPNS_8hardware6ParcelE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob21writeEmbeddedToParcelEPNS_8hardware6ParcelEjj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob21writeSubBlobsToParcelEPNS_8hardware6ParcelEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4dataEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4readEjPvj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4sizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob4typeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob9getHandleEPj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7JHwBlob9getStringEjPPKNS_8hardware11hidl_stringE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7battery17MultiStateCounterIxE13valueToStringERKx);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7battery17MultiStateCounterIxE3addEPxRKxyy);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android7battery17MultiStateCounterIxE5deltaERKxS4_Px);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android8hardware7display27IDeviceProductInfoConstants22getInterfaceDescriptorEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9JHwParcel7wasSentEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils10TiffWriter10buildEntryIdEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils10TiffWriter10buildEntryIhEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils10TiffWriter10buildEntryIiEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils10TiffWriter10buildEntryIjEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils10TiffWriter10buildEntryItEEitjPKT_PNS_2spINS0_9TiffEntryEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE12writeTagInfoEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE13getDataHelperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE13getEndiannessEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE18getComparableValueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE6getTagEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE7getSizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE7getTypeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE8getCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIdE9writeDataEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE12writeTagInfoEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE13getDataHelperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE13getEndiannessEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE18getComparableValueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE6getTagEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE7getSizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE7getTypeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE8getCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIhE9writeDataEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE12writeTagInfoEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE13getDataHelperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE13getEndiannessEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE18getComparableValueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE6getTagEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE7getSizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE7getTypeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE8getCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIiE9writeDataEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE12writeTagInfoEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE13getDataHelperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE13getEndiannessEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE18getComparableValueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE6getTagEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE7getSizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE7getTypeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE8getCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplIjE9writeDataEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE12writeTagInfoEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE13getDataHelperEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE13getEndiannessEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE18getComparableValueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE6getTagEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE7getSizeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE7getTypeEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE8getCountEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK7android9img_utils13TiffEntryImplItE9writeDataEjPNS0_12EndianOutputE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion10intersectsERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion10intersectsERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion13writeToMemoryEPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion20count_runtype_valuesEPiS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion23computeRegionComplexityEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion7getRunsEPiS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion7isValidEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion8containsERK7SkIRect);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion8containsERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion8containsEii);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegion9translateEiiPS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkRegioneqERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString3Rec3refEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString3Rec5unrefEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString3Rec6uniqueEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString6equalsEPKc);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString6equalsEPKcj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK8SkString6equalsERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK9Transform3mapEiiPiS0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNK9TransformeqERKS_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEPNS0_6__baseIST_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEPNS0_6__baseIST_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEPNS0_6__baseIST_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7__cloneEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE7__cloneEPNS0_6__baseISR_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE7__cloneEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E7__cloneEPNS0_6__baseISG_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E7__cloneEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EENS_22__unordered_map_hasherIS7_S8_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_S8_NS_8equal_toIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_21__hash_const_iteratorIPNS_11__hash_nodeIS8_PvEEEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__16__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_21__tree_const_iteratorIS8_PNS_11__tree_nodeIS8_PvEEiEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNKSt3__16__treeINS_12__value_typeINS_17basic_string_viewIcNS_11char_traitsIcEEEEyEENS_19__map_value_compareIS5_S6_NS_4lessIS5_EELb1EEENS_9allocatorIS6_EEE4findIS5_EENS_21__tree_const_iteratorIS6_PNS_11__tree_nodeIS6_PvEEiEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE18destroy_deallocateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7destroyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA5_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EEclEOSE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE18destroy_deallocateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7destroyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RA7_S5_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EEclEOSE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE18destroy_deallocateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EE7destroyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_RS6_RS8_RKNS_12placeholders4__phILi1EEEEEENSC_ISR_EEFvSE_EEclEOSE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE18destroy_deallocateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EE7destroyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcINS_6__bindIRFvP7_JNIEnvPKcP8_jstringRKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEJRS4_S6_DnRKNS_12placeholders4__phILi1EEEEEENSC_ISP_EEFvSE_EEclEOSE_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E18destroy_deallocateEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_E7destroyEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__110__function6__funcIPFvPvxRKN7android2spINS3_5FenceEEERKNS_6vectorINS3_19SurfaceControlStatsENS_9allocatorISA_EEEEENSB_ISH_EESG_EclEOS2_OxS8_SF_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableIN7android2spINS1_7IBinderEEENS1_3gui6SpHashIS3_EENS_8equal_toIS4_EENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS4_JS4_EEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableIN7android2spINS1_7IBinderEEENS1_3gui6SpHashIS3_EENS_8equal_toIS4_EENS_9allocatorIS4_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableIN7android2spINS1_7IBinderEEENS1_3gui6SpHashIS3_EENS_8equal_toIS4_EENS_9allocatorIS4_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE13__move_assignERSL_NS_17integral_constantIbLb1EEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE25__emplace_unique_key_argsIS7_JRKNS_21piecewise_construct_tENS_5tupleIJRKS7_EEENSQ_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeISB_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE4findIS7_EENS_15__hash_iteratorIPNS_11__hash_nodeISB_PvEEEERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEN7android10dmabufinfo11DmabufTotalEEENS_22__unordered_map_hasherIS7_SB_NS_4hashIS7_EELb1EEENS_21__unordered_map_equalIS7_SB_NS_8equal_toIS7_EELb1EEENS5_ISB_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiN7android10PidDmaInfoEEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIiJRKNS_21piecewise_construct_tENS_5tupleIJRKiEEENSK_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiN7android10PidDmaInfoEEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiN7android10PidDmaInfoEEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiNS_3setImNS_4lessImEENS_9allocatorImEEEEEENS_22__unordered_map_hasherIiS8_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS8_NS_8equal_toIiEELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIiJRKNS_21piecewise_construct_tENS_5tupleIJRKiEEENSN_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS8_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiNS_3setImNS_4lessImEENS_9allocatorImEEEEEENS_22__unordered_map_hasherIiS8_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS8_NS_8equal_toIiEELb1EEENS5_IS8_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiNS_3setImNS_4lessImEENS_9allocatorImEEEEEENS_22__unordered_map_hasherIiS8_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS8_NS_8equal_toIiEELb1EEENS5_IS8_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIiJRKNS_21piecewise_construct_tENS_5tupleIJRKiEEENSK_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIiJRKNS_4pairIKiS3_EEEEENSH_INS_15__hash_iteratorIPNS_11__hash_nodeIS4_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE6removeENS_21__hash_const_iteratorIPNS_11__hash_nodeIS4_PvEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiP18FileDescriptorInfoEENS_22__unordered_map_hasherIiS4_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS4_NS_8equal_toIiEELb1EEENS_9allocatorIS4_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsIiJNS_4pairIiiEEEEENSF_INS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsIiJRKNS_4pairIKiiEEEEENSF_INS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIiiEENS_22__unordered_map_hasherIiS2_NS_4hashIiEELb1EEENS_21__unordered_map_equalIiS2_NS_8equal_toIiEELb1EEENS_9allocatorIS2_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIjN7android3bpf17concurrent_time_tEEENS_22__unordered_map_hasherIjS5_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS5_NS_8equal_toIjEELb1EEENS_9allocatorIS5_EEED2Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsIjJRjSF_EEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE6removeENS_21__hash_const_iteratorIPNS_11__hash_nodeIS2_PvEEEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeIjjEENS_22__unordered_map_hasherIjS2_NS_4hashIjEELb1EEENS_21__unordered_map_equalIjS2_NS_8equal_toIjEELb1EEENS_9allocatorIS2_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsImJRKNS_21piecewise_construct_tENS_5tupleIJOmEEENSI_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE25__emplace_unique_key_argsImJRKNS_21piecewise_construct_tENS_5tupleIJRKmEEENSI_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS2_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeImlEENS_22__unordered_map_hasherImS2_NS_4hashImEELb1EEENS_21__unordered_map_equalImS2_NS_8equal_toImEELb1EEENS_9allocatorIS2_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE21__construct_node_hashIRtJRS7_EEENS_10unique_ptrINS_11__hash_nodeIS8_PvEENS_22__hash_node_destructorINS3_ISP_EEEEEEjOT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE25__emplace_unique_key_argsItJRKNS_21piecewise_construct_tENS_5tupleIJRKtEEENSN_IJEEEEEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS8_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE25__emplace_unique_key_argsItJRtRS7_EEENS_4pairINS_15__hash_iteratorIPNS_11__hash_nodeIS8_PvEEEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE6rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__112__hash_tableINS_17__hash_value_typeItNS_6vectorINS2_IyNS_9allocatorIyEEEENS3_IS5_EEEEEENS_22__unordered_map_hasherItS8_NS_4hashItEELb1EEENS_21__unordered_map_equalItS8_NS_8equal_toItEELb1EEENS3_IS8_EEE8__rehashEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__113__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__114__split_bufferINS_17basic_string_viewIcNS_11char_traitsIcEEEERNS_9allocatorIS4_EEE9push_backEOS4_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__115basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__116__set_differenceIRNS_6__lessIiiEENS_21__tree_const_iteratorIiPNS_11__tree_nodeIiPvEEiEES9_NS_15insert_iteratorINS_3setIiNS_4lessIiEENS_9allocatorIiEEEEEEEET2_T0_SJ_T1_SK_SI_T_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__117__call_once_proxyINS_5tupleIJRFvvEEEEEEvPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__118__set_intersectionIRNS_6__lessImmEENS_21__tree_const_iteratorImPNS_11__tree_nodeImPvEEiEES9_NS_15insert_iteratorINS_3setImNS_4lessImEENS_9allocatorImEEEEEEEET2_T0_SJ_T1_SK_SI_T_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_emplaceIN7android14CameraMetadataENS_9allocatorIS2_EEE16__on_zero_sharedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_emplaceIN7android14CameraMetadataENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_emplaceIN7android16JGlobalRefHolderENS_9allocatorIS2_EEE16__on_zero_sharedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_emplaceIN7android16JGlobalRefHolderENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_emplaceIN7android28NativeInputApplicationHandleENS_9allocatorIS2_EEE16__on_zero_sharedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_emplaceIN7android28NativeInputApplicationHandleENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_pointerIPN7android12InputChannelENS_14default_deleteIS2_EENS_9allocatorIS2_EEE16__on_zero_sharedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_pointerIPN7android12InputChannelENS_14default_deleteIS2_EENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_pointerIPN7android14CameraMetadataENS_14default_deleteIS2_EENS_9allocatorIS2_EEE16__on_zero_sharedEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__120__shared_ptr_pointerIPN7android14CameraMetadataENS_14default_deleteIS2_EENS_9allocatorIS2_EEE21__on_zero_shared_weakEv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__124__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__127__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeIN7android15ResTable_configENS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeINS_17basic_string_viewIcNS_11char_traitsIcEEEEyEENS_19__map_value_compareIS5_S6_NS_4lessIS5_EELb1EEENS_9allocatorIS6_EEE25__emplace_unique_key_argsIS5_JNS_4pairIKS5_yEEEEENSF_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEEiEEbEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeINS_17basic_string_viewIcNS_11char_traitsIcEEEEyEENS_19__map_value_compareIS5_S6_NS_4lessIS5_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIffEENS_19__map_value_compareIfS2_NS_4lessIfEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS8_PNS_11__tree_nodeIS8_SH_EEiEERPNS_15__tree_end_nodeISJ_EESK_RKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE30__emplace_hint_unique_key_argsIiJRKNS_4pairIKiS7_EEEEENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEEiEENS_21__tree_const_iteratorIS8_SP_iEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIiNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIiNS_6vectorIN7android15AudioAttributesENS_9allocatorIS4_EEEEEENS_19__map_value_compareIiS8_NS_4lessIiEELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIjjEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIyNS_10unique_ptrI14ScopedLocalRefIP11_jbyteArrayENS_14default_deleteIS6_EEEEEENS_19__map_value_compareIySA_NS_4lessIyEELb1EEENS_9allocatorISA_EEE5eraseENS_21__tree_const_iteratorISA_PNS_11__tree_nodeISA_PvEEiEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12__value_typeIyNS_10unique_ptrI14ScopedLocalRefIP11_jbyteArrayENS_14default_deleteIS6_EEEEEENS_19__map_value_compareIySA_NS_4lessIyEELb1EEENS_9allocatorISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS6_PNS_11__tree_nodeIS6_SD_EEiEERPNS_15__tree_end_nodeISF_EESG_RKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE30__emplace_hint_unique_key_argsIS6_JRKS6_EEENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEEiEENS_21__tree_const_iteratorIS6_SI_iEERKT_DpOT0_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeIiNS_4lessIiEENS_9allocatorIiEEE12__find_equalIiEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIiPNS_11__tree_nodeIiS8_EEiEERPNS_15__tree_end_nodeISA_EESB_RKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeImNS_4lessImEENS_9allocatorImEEE12__find_equalImEERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorImPNS_11__tree_nodeImS8_EEiEERPNS_15__tree_end_nodeISA_EESB_RKT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeImNS_4lessImEENS_9allocatorImEEE14__assign_multiINS_21__tree_const_iteratorImPNS_11__tree_nodeImPvEEiEEEEvT_SD_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorI11sock_filterNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorI11sock_filterNS_9allocatorIS1_EEE21__push_back_slow_pathIS1_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorI13audio_usage_tNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorI15audio_devices_tNS_9allocatorIS1_EEE21__push_back_slow_pathIS1_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android10BlurRegionENS_9allocatorIS2_EEE21__push_back_slow_pathIS2_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android10dmabufinfo10DmabufInfoENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJRS3_EEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android10dmabufinfo9DmaBufferENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJRKmyiRNS_12basic_stringIcNS_11char_traitsIcEENS4_IcEEEERA10_KcEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android10dmabufinfo9DmaBufferENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJRyS8_S8_RNS_12basic_stringIcNS_11char_traitsIcEENS4_IcEEEESE_EEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android10dmabufinfo9DmaBufferENS_9allocatorIS3_EEE24__emplace_back_slow_pathIJmRyS8_RPcPKcEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android15AudioAttributesENS_9allocatorIS2_EEE21__push_back_slow_pathIRKS2_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android19AudioDeviceTypeAddrENS_9allocatorIS2_EEE21__push_back_slow_pathIRKS2_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android2spINS1_22HwBinderDeathRecipientEEENS_9allocatorIS4_EEE21__push_back_slow_pathIRKS4_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android5media17AudioVibratorInfoENS_9allocatorIS3_EEE21__push_back_slow_pathIRKS3_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android8graphics6BitmapENS_9allocatorIS3_EEE8__appendEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIN7android8hardware8graphics6common4V1_23HdrENS_9allocatorIS6_EEE21__push_back_slow_pathIS6_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS0_IyNS_9allocatorIyEEEENS1_IS3_EEE21__push_back_slow_pathIRKS3_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS0_IyNS_9allocatorIyEEEENS1_IS3_EEE24__emplace_back_slow_pathIJRS3_EEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRA19_KcEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRA21_KcEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRA9_KcEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE24__emplace_back_slow_pathIJRPKcEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_17basic_string_viewIcNS_11char_traitsIcEEEENS_9allocatorIS4_EEE6insertENS_11__wrap_iterIPKS4_EEOS4_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorINS_7variantIJN7android24NativeInputEventReceiver6FinishENS3_8TimelineEEEENS_9allocatorIS6_EEE21__push_back_slow_pathIS6_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIPKN7android9ApkAssetsENS_9allocatorIS4_EEE21__push_back_slow_pathIS4_EEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIfNS_9allocatorIfEEE21__push_back_slow_pathIRKfEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIhNS_9allocatorIhEEE6resizeEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIhNS_9allocatorIhEEE8__appendEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIiNS_9allocatorIiEEE21__push_back_slow_pathIRKiEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIiNS_9allocatorIiEEE21__push_back_slow_pathIiEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIiNS_9allocatorIiEEE6insertINS_11__wrap_iterIPKiEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIiNS_15iterator_traitsISA_E9referenceEEE5valueENS5_IPiEEE4typeES8_SA_SA_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIiNS_9allocatorIiEEE6insertINS_11__wrap_iterIPiEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIiNS_15iterator_traitsIS9_E9referenceEEE5valueES7_E4typeENS5_IPKiEES9_S9_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIiNS_9allocatorIiEEE6insertINS_21__tree_const_iteratorIiPNS_11__tree_nodeIiPvEEiEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIiNS_15iterator_traitsISC_E9referenceEEE5valueENS_11__wrap_iterIPiEEE4typeENSG_IPKiEESC_SC_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIjNS_9allocatorIjEEE21__push_back_slow_pathIjEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEjRS5_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIxNS_9allocatorIxEEE21__push_back_slow_pathIxEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIyNS_9allocatorIyEEE21__push_back_slow_pathIyEEvOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIyNS_9allocatorIyEEE24__emplace_back_slow_pathIJRyEEEvDpOT_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIyNS_9allocatorIyEEE6assignIPyEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIyNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIyNS_9allocatorIyEEE6insertINS_11__wrap_iterIPKyEEEENS_9enable_ifIXaasr21__is_forward_iteratorIT_EE5valuesr16is_constructibleIyNS_15iterator_traitsISA_E9referenceEEE5valueENS5_IPyEEE4typeES8_SA_SA_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__16vectorIyNS_9allocatorIyEEE8__appendEj);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__17getlineIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS_13basic_istreamIT_T0_EES9_RNS_12basic_stringIS6_S7_T1_EES6_);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZNSt3__1lsIcNS_11char_traitsIcEENS_9allocatorIcEEEERNS_13basic_ostreamIT_T0_EES9_RKNS_12basic_stringIS6_S7_T1_EE);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn4_N7android21JNIAudioTrackCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn4_N7android21JNIAudioTrackCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn4_N7android8hardware7display28BnDeviceProductInfoConstants10onTransactEjRKNS_6ParcelEPS3_j);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android18NativeMessageQueue11handleEventEiiPv);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android18NativeMessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZThn8_N7android18NativeMessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N20JNIAudioPortCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N20JNIAudioPortCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android10InputQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android10InputQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android12MessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android12MessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android17JNIDeviceCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android17JNIDeviceCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android18NativeMessageQueueD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android18NativeMessageQueueD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android21JNIAudioTrackCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android21JNIAudioTrackCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android22NativeInputEventSenderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android22NativeInputEventSenderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android24JNISurfaceTextureContextD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android24JNISurfaceTextureContextD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android24NativeInputEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android24NativeInputEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android26NativeDisplayEventReceiverD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android26NativeDisplayEventReceiverD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android27JNIAudioVolumeGroupCallbackD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android27JNIAudioVolumeGroupCallbackD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android8hardware7display27IDeviceProductInfoConstantsD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android8hardware7display27IDeviceProductInfoConstantsD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android9JHwBinderD0Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", _ZTv0_n12_N7android9JHwBinderD1Ev);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_fatal_no_abort);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_fatal_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_buffer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_buffer_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_fd);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_fd_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_log);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_format_log_va_list);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", async_safe_write_log);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", crypto_scrypt);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferBaseArray);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferBaseArrayOffset);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferFields);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniGetNioBufferPointer);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", jniUninitializeConstants);
  INIT_INTERCEPTABLE_STUB_FUNCTION("libandroid_runtime.so", registerFrameworkNatives);
}
// clang-format on
